<div class="row col-sm-12">
<div class="panel panel-default">
    <div class="panel-heading">{__('Ads Plans')}
        <a href="#" class="btn btn-danger pull-right show-ads-plan-form">{__('Add Ads Plan')}</a>
    </div>
    <div class="panel-body">
            <div class="alert alert-warning {if !$message}x-hidden{/if}">{$message}</div>
        
        <form id="add-ads-plan-form" style="{if !$showForm}display: none{/if}" class="add-ads-plan-form form-horizontal" method="post"> 
		    <input type="hidden" name="val[add]" value="true"/>
            <div class="form-group">
                <label class="col-sm-4">{__('Plan Title')}</label>
                <div class="col-sm-7">
                    <input type="text" class="form-control" name="val[name]"/>
                    <p class="help-block">{__('Give your plan a unique name')}</p>
                </div>

            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Plan Description')}</label>
                <div class="col-sm-7">
                    <input type="text" class="form-control" name="val[description]"/>
                    <p class="help-block">{__('Give your plan a short description')}</p>
                </div>

            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Plan Type')}</label>
                <div class="col-sm-7">
                    <select name="val[type]">
                        <option value="impression">{__('Impression')}</option>
                        <option value="clicks">{__('Clicks')}</option>
                    </select>
                    <p class="help-block">{__('What type of ads this plan will take, is it pay per impression or by clicks')}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Plan Price')}</label>
                <div class="col-sm-7">
                    <input type="text" placeholder="{__('For example:30 or 100 or 1000 e.t.c')}" class="form-control" name="val[price]"/>
                    <p class="help-block">{__('Please price are in dollar')} <strong>{__('for example 30')}</strong></p>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Plan Quantity')}</label>
                <div class="col-sm-7">
                    <input type="text" placeholder="{__('For example: 100 or 1000 e.t.c')}" class="form-control" name="val[quantity]"/>
                    <p class="help-block">{__('Give your plan a quantity that must be reach before ads stop showing')}

                    <strong>{__('Like 20 clicks or 1000 impression')}</strong> {__('stop the ads from showing')}</p>
                </div>
            </div>

            <div class="body-header">
                <input class="btn btn-danger no-radius" type="submit" value="Add Plan"/>
            </div>
            <br/>
        </form>
        <div class="alert alert-info">
            {__('Here listed plans your member can add different ads, you can filter by impression or clicks ads type')}
        </div>

        <ul class="nav nav-tabs">
          <li class="{if $by == 'all'}active{/if}"><a href="{$system['system_url']}/admin_plugins.php?sub_view=ads_plans&by=all">{__('All')}</a></li>
          <li class="{if $by == 'impression'}active{/if}"><a href="{$system['system_url']}/admin_plugins.php?sub_view=ads_plans&by=impression">{__('Impression')}</a></li>
          <li class="{if $by == 'clicks'}active{/if}"><a href="{$system['system_url']}/admin_plugins.php?sub_view=ads_plans&by=clicks">{__('Clicks')}</a></li>
        </ul>
<div class="panel-body table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th style="30%">{__('Name')}</th>
                <th>{__('Type')}</th>
                <th>{__('Price')}</th>
                <th>{__('Quantity')}</th>
                <th>{__('Ads')}</th>
                <th>{__('Action')}</th>
            </tr>
            </thead>

            <tbody class="ads_list_content">
                {include file='p_ajax.admin_ads_plans.tpl'}
            </tbody>
        </table>
</div>
              <!-- see-more -->
        				<div class="col-sm-12">
				       {if count($plans) >= $system['max_results']}                       
                        <div class="alert alert-info see-more js_see-more_ads js_see-more-infinite-ads" data-href="{$system['system_url']}/LdrMx/ajax/admin/admin_ads.php?task=show_more_plans&by={$by}" data-get="ads">
                            <span>{__("See More")}</span>
                            <div class="loader loader_small x-hidden"></div>
                        </div>                       
                        {/if}
				        </div> 
		<!-- see-more -->	
    </div>
</div>
</div>