{include file='_head.tpl'}
{include file='_header.tpl'}

<!-- page content -->
<div class="container mt20">
	<div class="row">

		<!-- left panel -->
		<div class="col-sm-12">
	
		{include file='p_ads_header.tpl'}
		
		
		<!-- conten edit -->
		
		<div class="row">

    <form class="ads-add-form" action="" method="post">
        <input type="hidden" name="val[type]" value="{$ad['type']}"/>
        <input type="hidden" name="val[link]" value="{$ad['link']}"/>
        <input type="hidden" name="val[id]" id="ads-id" value="{$ad['id']}"/>
        <input type="hidden" name="val[post_id]" value="{$ad['post_id']}"/>
        <input type="hidden" name="val[page_id]" value="{$ad['page_id']}"/>
        <div class="col-sm-7">
            <div class="panel panel-default">
                <div class="panel-heading">{__('Ads Info')}</div>
                <div class="panel-body">
                    <div class="form-group">
                        <label for="exampleInputEmail1">{__('Campaign Name')}</label>
                        <input name="val[campaign_name]" type="text" value="{$ad['campaign_name']}" class="form-control" id="exampleInputEmail1" placeholder="Campaign Name">
                    </div>

                    {if $ad['type'] == 'website' or $ad['type'] == 'page'}

                        {if $ad['type'] == 'website'}
                            <div class="form-group">
                                <label>{__('ads-headline')}</label><div class="pull-right flip js_count_t">{$ad['count_title']}</div>
                                <input type="text" value="{$ad['title']}" name="val[title]" class="form-control error_t"/>
                            </div>

                            <div class="form-group">
                                <label>{__('display-link')}</label>
                                <input type="text" value="{$ad['display_link']}" name="val[display_link]" class="form-control"/>
                            </div>
                        {/if}

                        <div class="form-group">
                            <label>{__('Ads Text')}</label><div class="pull-right flip js_count_d">{$ad['count_desc']}</div>
                            <textarea name="val[description]" class="form-control error_d">{$ad['description']}</textarea>
                        </div>

                        <div class="panel-heading">{__('Select images you want to use')}</div>

                        <div class="ads-image-container">

                            <input class="ads-image-hidden-input" name="val[image]" type="hidden" value="{$ad['images']}" >

                            {if empty($ad['images'])}
                            <img class="ads-image" src="{$system['system_url']}/includes/lider/images/no_photo.jpg"/>
                            {else}
                            <img class="ads-image" src="{$ad['images']}"/>
                            {/if}
                            <div style="display: none" class="alert alert-danger" id="ads-image-error">{__('Photo error')}</div>
                            <div   class=" fileupload fileupload-exists" data-provides="fileupload">

                                <a class="btn-file btn btn-sm btn-danger">
                                    <span class="fileupload-new">{__('change-image')}</span>
                                    <span class="fileupload-exists">{__('change-image')}</span>

                                    <input  id="ads-image-input" multiple  class="" type="file" name="image">
                                </a>
                                <img class="ad-image-indicator" src="{$system['system_url']}/includes/lider/images/load.gif" width="20" height="20"/>
                            </div>
                        </div>
                    {/if}

                    <div class="panel-heading">{__('How do you want to spend')}</div>
                    <div class="form-group">
                        <label>{__('Optimize for:')}</label>
                        <input type="hidden" name="val[plan_type]" value="{$ad['plan_type']}"/>
                        <select disabled style="width: 60%" class="form-control ads-plan-type" name="">
                            <option {if $ad['plan_type'] == 'clicks'}selected{/if} value="clicks">{__('clicks')}</option>
                            <option {if $ad['plan_type'] == 'impression'}selected{/if} value="impression">{__('impression')}</option>
                        </select>

                    </div>
                    <div class="form-group">
                        <label>{__('How much do you want to spend')}</label>
                        <input type="hidden" name="val[plan_id]" value="{$ad['plan_id']}"/>
                        <select disabled style="width: 60%" class="form-control ads-plans" name="">
                            {foreach $plans as $plan}                        
							<option {if $ad['plan_id'] == $plan['id']}selected{/if} value="{$plan['id']}">{$plan['name']} (${$plan['price']})</option>
                            {/foreach}
                        </select>

                    </div>




                </div>
            </div>
        </div>
		
		
		
		
		

        <div class="col-sm-5">
		  <div class="panel">
            <ul class="panel-body user-action-buttons">
                <li><a class="preview-ad" data-id="{$ad['id']}" href=""><i class="icon ion-android-search"></i> <span>{__('Preview Ad')}</span></a> </li>
            </ul>
		  </div>
            <div class="panel panel-default">
                <div class="panel-heading">{__('Who do you want your ads to reach?')}</div>
                <div class="panel-body">

                {* Disable in this version include file='p_ads_tab_countries.tpl' *}

                    <label>{__('gender')}</label>
                    <select name="val[gender]" class="form-control">
                        <option {if $ad['target_gender'] == 'all'}selected{/if} value="all">{__('All')}</option>
                        <option {if $ad['target_gender'] == 'M'}selected{/if} value="M">{__('Male')}</option>
                        <option {if $ad['target_gender'] == 'F'}selected{/if} value="F">{__('Female')}</option>
                    </select>

                    <label>{__('ad-status')}</label>
                    <select name="val[status]" class="form-control">
                        <option {if $ad['status'] == '1'}selected{/if} value="1">{__('Ad Running')}</option>
                        <option {if $ad['status'] == '0'}selected{/if} value="male">{__('Ad Stopped')}</option>
                    </select>
                </div>

                <div class="ads-add-footer">
                    <button href="" class="btn btn-sm btn-success">{__('Save Ad')}</button>
                </div>

            </div>
        </div>
    </form>
</div>
		
		<!-- conten edit -->
			

		</div>
		<!-- left panel -->
	</div>
</div>
<!-- page content -->

{include file='_footer.tpl'}