    <form class="ads-add-form" action="" method="post">
        <input type="hidden" name="val[type]" value="page"/>
        <input type="hidden" name="val[id]" id="ads-id" value=""/>
        <input type="hidden" name="val[page_id]" value="{$page['page_id']}"/>
        <div class="col-sm-7">
            <div class="panel panel-default">
                <div class="panel-heading">{__('Ads Info')}</div>
                <div class="panel-body panel-default">
                    <div class="form-group">
                        <label for="exampleInputEmail1">{__('Campaign Name')}</label>
                        <input name="val[campaign_name]" type="text" value="{$page['page_name']} - Page likes" class="form-control" id="exampleInputEmail1" placeholder="{__('Campaign Name')}">
                    </div>

                    <div class="form-group">
                        <label>{__('Ads Text')}</label><div class="pull-right flip js_count_d">{$page['count_desc']}</div>
                        <textarea maxlength="99" name="val[description]" class="form-control error_d">{$page['page_description']}</textarea>
                    </div>

                    <div class="panel-heading">{__('Select images you want to use')}</div>

                    <div class="ads-image-container">

                        <input class="ads-image-hidden-input" name="val[image]" type="hidden" value="{$page['photo']}" >
                        <img class="ads-image" src="{$page['photo']}"/>

                        <div style="display: none" class="alert alert-danger" id="ads-image-error">{__('Photo Error')}</div>
                        <div   class=" fileupload fileupload-exists" data-provides="fileupload">

                            <a   class="btn-file btn btn-sm btn-danger">
                                <span class="fileupload-new">{__('Change Image')}</span>
                                <span class="fileupload-exists">{__('Change Image')}</span>

                                <input id="ads-image-input" multiple  class="" type="file" name="image">
                            </a>
                            <img class="ad-image-indicator" src="{$system['system_url']}/includes/lider/images/load.gif" width="20" height="20"/>
                        </div>
                    </div>

                    <div class="panel-heading">{__('How do you want to spend')}</div>
                    <div class="form-group">
                        <label>{__('Optimize for:')}</label>
                        <select style="width: 60%" class="form-control ads-plan-type" name="val[plan_type]">
                            <option value="clicks">{__('Clicks')}</option>
                            <option value="impression">{__('Impression')}</option>
                        </select>

                    </div>
                    <div class="form-group">
                        <label>{__('How much do you want to spend')}</label>
                        <select style="width: 60%" class="form-control ads-plans" name="val[plan_id]">
                            {foreach $plans as $plan}
                            <option value="{$plan['id']}">{$plan['name']} (${$plan['price']})</option>
                            {/foreach}
                        </select>

                    </div>


                </div>
            </div>
        </div>

        <div class="col-sm-5">
		  <div class="panel">
            <ul class="panel-body user-action-buttons">
                <li><a class="preview-ad" data-id="{$ad['id']}" href=""><i class="icon ion-android-search"></i> <span>{__('Preview Ad')}</span></a> </li>
            </ul>
		  </div>
            <div class="panel panel-default">
                <div class="panel-heading">{__('Who do you want your ads to reach?')}</div>
                <div class="panel-body">
             
			 {* Disable in this version include file='ads_tab_countries.tpl' *}

                    <label>{__('Gender')}</label>
                    <select name="val[gender]" class="form-control">
                        <option value="all">{__('All')}</option>
                        <option value="M">{__('Male')}</option>
                        <option value="F">{__('Female')}</option>
                    </select>
                </div>

                <div class="ads-add-footer">

                    <button href="" class="ad-save-button btn btn-sm btn-primary">{__('Save Ad')}</button>
                    <a href="" class="btn ad-save-and-activate btn-sm btn-success">{__('Save And Activate')}</a>
                </div>
            </div>
			<div class="panel panel-default col-sm-12">
                    <a data-warning="{__('Delete Ad Warning')}"  style="margin:30px 10px" href="{$system['system_url']}/ads.php" class="btn btn-danger delete-ad-button">{__('Delete Cancel Ad')}</a>
            </div>
        </div>
    </form>