<?php
/**
 * ajax -> admin -> plugins_ldrsoft
 * Plugin for Sngine v2+
 * @author Pepe Galvan  - LdrMx
 */

// fetch bootstrap
require('../../../../bootstrap.php');

// check AJAX Request
is_ajax();
// check admin logged in
if(!$user->_logged_in || !$user->_is_admin) { modal(MESSAGE, __("System Message"), __("You don't have the right permission to access this")); }
// edit user
try {
	switch ($_GET['edit']) {
		case 'plugin':
			/* prepare */
			$_POST['p_active'] = (isset($_POST['p_active']))? '1' : '0';
			/* update */
			// valid inputs
			if(!isset($_GET['p_id']) || !is_numeric($_GET['p_id'])) { _error(400); }			
			$db->query(sprintf("UPDATE plugins_ldrsoft SET p_active = %s WHERE p_id = %s", secure($_POST['p_active']), secure($_GET['p_id'], 'int') )) or _error(SQL_ERROR_THROWEN);
			/* return */
			return_json( array('success' => true, 'message' => __("Done, Plugin info have been updated")) );
			break;
		default: _error(400); break;
	}

} catch (Exception $e) {
	return_json( array('error' => true, 'message' => $e->getMessage()) );
}
?>