<?php
/**
 * ads
 * Plugin for Sngine v2+
 * @author Pepe Galvan  - LdrMx
 */

// fetch bootstrap
require('../../../../bootstrap.php');

// check AJAX Request 
is_ajax();

// check user logged in
if(!$user->_logged_in) { modal(LOGIN); }

// check user activated
if($system['email_send_activation'] && !$user->_data['user_activated']) {
	modal(MESSAGE, __("Not Activated"), __("Before you can interact with other users, you need to confirm your email address"));
}

$last_id = ( isset($_POST['last_id']) ? $_POST['last_id'] : ( isset($_GET['last_id']) ? $_GET['last_id'] : 0 ) );
$first_id = ( isset($_POST['first_id']) ? $_POST['first_id'] : ( isset($_GET['first_id']) ? $_GET['first_id'] : 0 ) );
$by = ( isset($_POST['by']) ? $_POST['by'] : ( isset($_GET['by']) ? $_GET['by'] : 'all' ) );

// valid inputs
$valid['by'] = array('', 'all', 'website', 'page', 'post');
if(!in_array($by, $valid['by'])) { _error(404); }

try {
	// initialize the return array
	$return = array();
	
$where = "";
if ($by != 'all') { $where = " A.type = '{$by}' AND "; }

//get ads lists
if($last_id != 0){ 
if (!is_numeric($last_id)){ _error(404); }
$MyAds = Ads::get_ads_lists("10", $last_id, FALSE, " A.id DESC ", $where."user_id='{$user->_data['user_id']}' ");
// assign variables
$smarty->assign('ads', $MyAds);
$smarty->assign('active', $by);

$html = $smarty->fetch("p_ajax.ads_content.tpl");

    /* clear html */
    $html = str_replace("\t",'',$html);
    $html = str_replace("\r",'',$html);
    $html = str_replace("\n",'',$html);
    
	/* return */
	$return['result'] = 1;
    $return['html'] = $html;
}

 	// return & exit
	return_json($return);

}catch (Exception $e) {
	modal(ERROR, __("Error"), $e->getMessage());
}	
?>