<?php 

/* Ads
 * LdrSoft Plugins
 * @Plugins for Sngine v2+
 * @author LdrMx - Pp Galvan
 */ 
 
class Ads{
  
     /* ads list by type website/post/page
     * @return array
     */
	public static function get_ads_lists($limit = "", $last_id = false, $first_id = false, $sort_by = " A.id DESC ", $where = "", $depth = ""){
 global $db;
	  // BEGIN BUILDING AD QUERY 
	  $ad_sql .= " SELECT A.*, P.name, P.price FROM ads_ldrsoft AS A LEFT JOIN ads_plans AS P ON A.plan_id = P.id WHERE A.user_id!='0' ";
	  // ADD WHERE CLAUSE, IF NECESSARY
	  if( !empty($where) ){ $ad_sql .= " AND {$where} "; }
	  $ad_sql .= ( $last_id ) ? " AND A.id < " . $last_id : '';
      $ad_sql .= ( $first_id ) ? " AND A.id > " . $first_id : '';
	  $ad_sql .= " ORDER BY {$sort_by} ";
	  if($limit!= ""){ $ad_sql .= " LIMIT {$limit} "; }	
	  // DETERMINE WHICH ADS SHOULD BE SHOWN
	  $ad_query = $db->query($ad_sql);
	  $Count = $ad_query->num_rows;
      $ad_array = array();
    if($Count>0){ while( $ad_info = $ad_query->fetch_array(MYSQLI_ASSOC) ){ 
	if($ad_info['views'] == 0){ $ad_info['views'] = 1; }
	// DETERMINE CTR
  if($ad_info['clicks'] == 0) {
    $ad_info['ctr'] = "0.00%";
  } elseif($ad_info['clicks'] > 0) {
    $ad_info['ctr'] = round($ad_info['clicks'] / $ad_info['views'], 4) * 100;
    if(strlen($ad_info['ctr']) == 1 || strlen($ad_info['ctr']) == 2) { $ad_info['ctr'] .= ".00"; }
    $ad_info['ctr'] .= "%";
  }

  $ad_array[] = $ad_info;
			
	 } }
    return array('count' => $Count,'ads' => $ad_array);
 } 
 /*end list*/
 
 public static function get_plans($limit = "", $last_id = false, $first_id = false, $sort_by = " id DESC ", $where = ""){
  global $db;
  $plan_array = array();
  $sql = "";
  $sql .= " SELECT * FROM ads_plans WHERE id!= 0";
  if($where){ $sql .= " AND {$where}"; } 
  $sql .= ( $last_id ) ? " AND id < " . $last_id : '';
  $sql .= ( $first_id ) ? " AND id > " . $first_id : '';
  $sql .= " ORDER BY {$sort_by} ";
  if($limit!= ""){ $sql .= " LIMIT {$limit} "; }
 // get plans
    $get_plans = $db->query($sql) or _error(SQL_ERROR);
    while($row = $get_plans->fetch_assoc()) {
	$plan_array[] = $row;
	}
	return $plan_array;
 }
 
      /* ads list by type website/post/page
     * @return array
     */

	public static function get_ad($ad_id = 0, $where = ""){
 global $db;
	  // BEGIN BUILDING AD QUERY 
	  $ad_sql .= " SELECT A.*, P.name , P.price FROM ads_ldrsoft AS A LEFT JOIN ads_plans AS P ON A.plan_id = P.id WHERE A.id='{$ad_id}' ";
	  // ADD WHERE CLAUSE, IF NECESSARY
	  if( !empty($where) ){ $ad_sql .= " AND {$where} "; }
	  $ad_sql .= " LIMIT 1 ";	
	  // DETERMINE WHICH ADS SHOULD BE SHOWN
	  $ad_query = $db->query($ad_sql);
      $ad_info = $ad_query->fetch_array(MYSQLI_ASSOC);
    return $ad_info;
 } 
 /*end get_ad*/
 
  /* plan id
     * @return array
     */
	public static function get_plan($plan_id = 0, $where = ""){
 global $db;
	  // BEGIN BUILDING AD QUERY 
	  $plan_sql .= " SELECT * FROM ads_plans WHERE id='{$plan_id}' ";
	  // ADD WHERE CLAUSE, IF NECESSARY
	  if( !empty($where) ){ $plan_sql .= " AND {$where} "; }
	  $plan_sql .= " LIMIT 1 ";	
	  // DETERMINE WHICH ADS SHOULD BE SHOWN
	  $plan_query = $db->query($plan_sql);
      $plan_info = $plan_query->fetch_array(MYSQLI_ASSOC);	
    return $plan_info;
 } 
 /*end plan id*/
 
 public static function add($val)
    { global $db, $user;
        $expected = array('campaign_name' => '', 'title' => '', 'type' => '', 'description' => '', 'image' => '', 'plan_type' => '', 'plan_id' => '', 'location' => '', 'all_location' => 0, 'gender', 'id' => '', 'page_id' => '','post_id' => '', 'link' => '', 'status' => 0, 'display_link' => '' );

        /* @var $campaign_name
         * @var $title
         * @var $type
         * @var $description
         * @var $image
         * @var $plan_type
         * @var $plan_id
         * @var $location
         * @var $all_location
         * @var $gender
         * @var $id
         * @var $post_id
         * @var $page_id
         * @var $link
         * @var $status
         * @var $display_link
         */
        extract(array_merge($expected, $val));
        /*unique name*/
		//if (empty($id) or !is_numeric($id)) { if(Ads::Name_Exists($campaign_name)){ return false; } }
		if ($all_location or empty($location)) { $location = 'all'; } else { $location = @serialize($location); }
		
		if($id != ""){
		$db->query(sprintf("UPDATE ads_ldrsoft SET campaign_name = %s, title = %s, description = %s, plan_id = %s, plan_type = %s, type = %s, page_id = %s, post_id = %s, target_location = %s, target_gender = %s, images = %s, link = %s, display_link = %s, status = %s WHERE id= %s AND user_id = %s", 
		secure($campaign_name),
		secure($title),
		secure($description),
		secure($plan_id, 'int'),
		secure($plan_type),
		secure($type),
		secure($page_id, 'int'),
		secure($post_id, 'int'),
		secure($location),
		secure($gender),
		secure($image),
		secure($link),
		secure($display_link),
		secure($status),
		secure($id), secure($user->_data['user_id'], 'int') )) or _error(SQL_ERROR_THROWEN);
		//update
		$get_query = $db->query("SELECT * FROM ads_ldrsoft WHERE id='{$id}' AND user_id ='{$user->_data['user_id']}' LIMIT 1");	
		$ad = $get_query->fetch_assoc();
        }
		else if ($id == ""){
		$db->query(sprintf("INSERT INTO ads_ldrsoft (campaign_name, title, description, plan_id, user_id, plan_type, type, page_id, post_id, target_location, target_gender, images, link, display_link, slug, status)
		VALUES ( %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)", 
		secure($campaign_name),
		secure($title),
		secure($description),
		secure($plan_id, 'int'),
		secure($user->_data['user_id'], 'int'),
		secure($plan_type),
		secure($type),
		secure($page_id, 'int'),
		secure($post_id, 'int'),
		secure($location),
		secure($gender),
		secure($image),
		secure($link),
		secure($display_link),
		secure(hash('crc32', $campaign_name.time())),
		secure($status)
		)) or _error(SQL_ERROR_THROWEN);	
		$adId = $db->insert_id;
		//echo json_encode($ad);
		$get_query = $db->query("SELECT * FROM ads_ldrsoft WHERE id='{$adId}' AND user_id ='{$user->_data['user_id']}' LIMIT 1");	
		$ad = $get_query->fetch_assoc();
		}      

        return $ad;
    }
	
	public static function Name_Exists($name)
    {  global $db, $user;
		$post_query = $db->query("SELECT id FROM ads_ldrsoft WHERE campaign_name='{$name}' AND user_id ='{$user->_data['user_id']}' LIMIT 1");	
		return $post_query->num_rows;
    }
	
 
     /**
     * Method to add plans
     *
     * @param array $val
     * @return \App\Addons\Ads\Models\AdsPlan
     */
    public static function plan_add($val)
    { global $db;
        $expected = array( 'id' => '', 'name' => '', 'description' => '', 'type' => '', 'price' => '', 'quantity' => '');
        /**
         * @var $name
         * @var $description
         * @var $type
         * @var $price
         * @var $quantity
         */
        extract(array_merge($expected, $val));

        if (empty($name) or empty($description) or empty($price) or empty($quantity) // or $this->exists($name, $type)
		) { return false; }

        //
		if($id != ""){
		$db->query(sprintf("UPDATE ads_plans SET name = %s, description = %s, type = %s, price = %s, quantity = %s WHERE id= %s", 
		secure($name),
		secure($description),
		secure($type),
		secure($price),
		secure($quantity, 'int'),
		secure($id) )) or _error(SQL_ERROR_THROWEN);
		//update
		$get_query = $db->query("SELECT * FROM ads_plans WHERE id='{$id}' LIMIT 1");	
		$plan = $get_query->fetch_assoc();
        }
		else if ($id == ""){
		$db->query(sprintf("INSERT INTO ads_plans (name, description, type, price, quantity)
		VALUES ( %s, %s, %s, %s, %s)", 
		secure($name),
		secure($description),
		secure($type),
		secure($price),
		secure($quantity, 'int')
		)) or _error(SQL_ERROR_THROWEN);	
		$planId = $db->insert_id;
		//echo json_encode($ad);
		$get_query = $db->query("SELECT * FROM ads_plans WHERE id='{$planId}' LIMIT 1");	
		$plan = $get_query->fetch_assoc();
		}      
		//
        return $plan;
    } 
	
	/*ACTIVATE*/
 public static	function activate($id = 0, $action = "", $type = "")
    { global $system, $db;
        //ensure the request is secure
        if ($id == 0){ return header('Location: '.$system['system_url'].'/ads.php'); }

        $ad = Ads::get_ad($id);
		
        $title = __('Activate Ad');
		 
        if (!$ad && ($ad['paid'] == 1 && $ad['quantity'] != 0)){ return header('Location: '.$system['system_url'].'/ads.php'); }
        require_once('includes/lider/paypal_class.php');
        $paypal = new paypal_class();
        $content = null;
        switch($action) {
            case 'paypal':              
                switch($type) {
                    case 'cancel':
						return array('title' => $title, 'template' => 'p_ads_activate_paypal_cancel.tpl');
                        break;
                    case 'success':					
					// Response from paypal $_POST
					// assign posted variables to locate variables
                    $data['item_name'] = $_POST['item_name1'];
                    $data['item_number'] = $_POST['item_number1'];
                    $data['payment_status'] = $_POST['payment_status'];
                    $data['payment_amount'] = $_POST['mc_gross']; //cost
                    $data['payment_currency'] = $_POST['mc_currency']; //USD
					$data['quantity'] = $_POST['quantity1'];
                    $data['txn_id'] = $_POST['txn_id'];
                    $data['receiver_email'] = $_POST['receiver_email'];
                    $data['payer_email'] = $_POST['payer_email'];
                    $data['custom'] = $_POST['invoice'];
					
                    Ads::save_paypal_data($data);
					
	                    $title = __('Thank you for your order');
	                    return array('title' => $title, 'template' => 'p_ads_activate_paypal_success.tpl', 'return_post_paypal' => $data);
                        break;						
					 case 'ipn':          
				// Paypal is calling page for IPN validation...     
                     if ($paypal->validate_ipn()) {
				 $subject = 'Instant Payment Notification - Recieved Payment';
				 $paypal->send_report ( $subject );
      } else {
				 $subject = 'Instant Payment Notification - Payment Fail';
			 	 $paypal->send_report ( $subject );
    	}
		break;
                    default:
                        Ads::payPalProcess($ad);
						return array('title' => $title, 'template' => '');
                        break;
                }
                break;
            default:
				//$plans = Ads::get_plans();
				$title = __('Select Payment Method');
				break;
        }

		return array('title' => $title, 'template' => 'p_ads_activate_method.tpl');
    }
	
	/*PAYPAL*/
	public static function payPalProcess($ad)
    { global $system, $db, $user;
        require_once('includes/lider/paypal_class.php');
		
	  $plan_query = $db->query("SELECT A.plan_id, P.price, P.quantity FROM ads_plans AS P LEFT JOIN ads_ldrsoft AS A ON A.plan_id=P.id WHERE A.id='{$ad['id']}' LIMIT 1");
      $plan_info = $plan_query->fetch_array(MYSQLI_ASSOC);
		
        $paypal = new paypal_class();
        $paypal->admin_mail = $system['paypal_email_notification'];
        $paypal->add_field('business', $system['corporate_paypal_email']);
        $paypal->add_field('cmd', '_cart');
        $paypal->add_field('return', $system['system_url'].'/ads_activate.php?ad_id='.$ad['id'].'&action=paypal&type=success');
        $paypal->add_field('cancel_return', $system['system_url'].'/ads_activate.php?ad_id='.$ad['id'].'&action=paypal&type=cancel');
        $paypal->add_field('notify_url', $system['system_url'].'/ads_activate.php?action=ipn');
        $paypal->add_field('currency_code', 'USD');
        $paypal->add_field('invoice', $ad['id'].'_'.time());
        $paypal->add_field('upload', 1);
        $paypal->add_field('item_name_1', $ad['campaign_name']);
        $paypal->add_field('item_number_1', $ad['id']);
        $paypal->add_field('quantity', $plan_info['quantity']);
        $paypal->add_field('amount_1', $plan_info['price']);
        $paypal->add_field('email', $user->_data['user_email']);
        $paypal->add_field('first_name', $user->_data['user_fullname']);
        $paypal->add_field('last_name', $user->_data['user_fullname']);
        $paypal->add_field('address1', $user->_data['user_name']);
        $paypal->add_field('city', $user->_data['user_current_city']);
        $paypal->add_field('state', $user->_data['user_hometown']);
        $paypal->add_field('country', $user->_data['user_hometown']);
        $paypal->add_field('zip', 'null');
		$paypal->add_field('rm', '2');	// Return method = POST
        $paypal->submit_paypal_post();
		//$paypal->dump_fields();
    }

 public static function save_paypal_data($p){
 global $db, $user;
 if(!$p){ return false; } 
 		$db->query(sprintf("INSERT INTO ads_paypal_data (user_id, item_name, item_number, payment_status, payment_amount, payment_currency, quantity, txn_id, receiver_email, payer_email, custom)
		VALUES ( %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)", 
		secure($user->_data['user_id'], 'int'),
		secure($p['item_name']), 
		secure($p['item_number'], 'int'), 
		secure($p['payment_status']),
		secure($p['payment_amount'], 'int'),
		secure($p['payment_currency']),
		secure($p['quantity'], 'int'),
		secure($p['txn_id']),
		secure($p['receiver_email']),
		secure($p['payer_email']),
		secure($p['custom'])
		));	
		//$payId = $db->insert_id;	
		if($p['payment_status'] == 'Completed'){
			  $plan_query = $db->query("SELECT A.plan_id, P.quantity FROM ads_plans AS P LEFT JOIN ads_ldrsoft AS A ON A.plan_id=P.id WHERE A.id='{$p['item_number']}' LIMIT 1");
      $plan_info = $plan_query->fetch_array(MYSQLI_ASSOC);	  			
			$db->query(sprintf("UPDATE ads_ldrsoft SET paid='1', status='1', quantity = '{$plan_info['quantity']}' WHERE id='{$p['item_number']}' LIMIT 1"));
		}			
 }
   
  /*CLICK*/
   public static function processClick($ad)
    { global $db;
       if(!$ad){ return false; }
        /*sum clicks*/
	    $clicks = ($ad['clicks'] + 1);        
        $clicks_stats = ($ad['clicks_stats'] + 1);
		/*rest clicks*/
		$quantity = ($ad['quantity'] - 1);
        /*update*/
		$db->query(sprintf("UPDATE ads_ldrsoft SET clicks='{$clicks}', clicks_stats='{$clicks_stats}', quantity = '{$quantity}' WHERE id='{$ad['id']}' LIMIT 1"));		

    }
	
 /*UPDATE WHEN GET ADS*/	
   public static function updateAd($ad)
    { global $system, $db;
	   if(!$ad){ return false; }
	    /*sum views*/
        $views = ($ad['views'] + 1);
        $impression_stats = ($ad['impression_stats'] + 1);
        
		/*updates*/
		if ($ad['plan_type'] == 'impression') {
		  /*rest views*/
			  $quantity =  ($ad['quantity'] - 1);
		$db->query(sprintf("UPDATE ads_ldrsoft SET views='{$views}', impression_stats='{$impression_stats}', quantity = '{$quantity}' WHERE id='{$ad['id']}' LIMIT 1"));		
            } else {
		$db->query(sprintf("UPDATE ads_ldrsoft SET views='{$views}', impression_stats='{$impression_stats}' WHERE id='{$ad['id']}' LIMIT 1"));
		    }
    }
	  
	
   /* return array 
	* info of page
	*/
    public static function get_page($page_id){
	global $db, $user;
	if(!$page_id){ return false; }
    $get_page = $db->query(sprintf("SELECT * FROM pages WHERE page_id = %s LIMIT 1", secure($page_id, 'int') ));
    $get_info_page = $get_page->fetch_assoc();
	                /* check if the viewer liked the page */
                $get_info_page['i_like'] = false;
                if($user->_logged_in) {
                    $get_likes = $db->query(sprintf("SELECT * FROM pages_likes WHERE page_id = %s AND user_id = %s LIMIT 1", secure($get_info_page['page_id'], 'int'), secure($user->_data['user_id'], 'int') ));
                    if($get_likes->num_rows > 0) { $get_info_page['i_like'] = true; }
                }
    return $get_info_page;
	}
	
	public static function processSuccess($ad)
    { global $db;
	  if($ad['id']){  
	  $plan_query = $db->query("SELECT A.plan_id, P.quantity FROM ads_plans AS P LEFT JOIN ads_ldrsoft AS A ON A.plan_id=P.id WHERE A.id='{$ad['id']}' LIMIT 1");
      $plan_info = $plan_query->fetch_array(MYSQLI_ASSOC);
	    $paid = 1;
        $quantity = $plan_info['quantity'];
        $status = 1;		 				
		$db->query(sprintf("UPDATE ads_ldrsoft SET paid = %s, quantity = %s, status = %s WHERE id= %s", 
		secure($paid, 'int'),
		secure($quantity, 'int'),
		secure($status),
		secure($id) )) or _error(SQL_ERROR_THROWEN);
	  }	
    }
	
}
?>