/**
 * ads js
 * Plugin Ads Advanced
 * Plugin for Sngine v2+
 * @author Pepe Galvan  - LdrMx
 */
 
// initialize API URLs
api['admin/admin_ads']  = site_path+"/includes/lider/ajax/admin/admin_ads.php";

$(function() {	   

   /*admin script*/
    $(document).on('click', '.show-ads-plan-form', function(event) { 
		event.preventDefault();
        var $form = $('#add-ads-plan-form');
        if ($form.css('display') == 'none') {$form.slideDown(); }
		else { $form.slideUp();}
    });
	
	/*admin delete ads of list*/
    $(document).on('click', '.admin-delete-ads-from-list', function(event) { event.preventDefault();
	  var self = $(this);																					
      var ad_id = self.attr('data-id');
	  /*confirm*/	
	  confirm(__['Delete Ads'], __['Are you sure you want to delete this ads?'], function() {
	   self.closest('tr').hide();
	   $.ajax({type: 'post', url: api['admin/admin_ads'], 
	   data: {'task':'ad_delete', 'ad_id':ad_id }, cache : false, success:function(result){ 
	   if(result.result == '1'){ self.closest('tr').remove(); }else{ self.closest('tr').show(); }
	   $('#modal').modal('hide');
	   }});
	  });		
    });
	
		/*admin activate ads of list*/
    $(document).on('click', '.admin-activate-ads-from-list', function(event) { event.preventDefault();
		var self = $(this);																					
        var ad_id = self.attr('data-id');
		self.hide();
	    $.ajax({type: 'post', url: api['admin/admin_ads'],
		data: {'task':'ad_activate', 'ad_id':ad_id}, cache : false, success:function(result){ 
	   if(result.result == '1'){   
	   self.closest('tr').find('.ad_quantity').html(result.quantity);
	   self.closest('tr').find('.ad_status').html(__['Active']);
	   modal('#modal-message', {title: __['Ads Actived'], message: __['This ads is actived!']});
	   self.remove();
	   }else{ self.show();  modal('#modal-message', {title: __['Error'], message: __['There is some thing went worng!']}); }
	   }			   
	  });
    });
	
	/*admin edit ads*/
    $(document).on('submit', '.save-edit-ad-button', function(event) { event.preventDefault();
        var form = $(this);
        form.ajaxSubmit({type : 'post', url : api['admin/admin_ads'],
				data: {'task':'save_ad_edit'}, success : function(result) {
                if (result.result == 1) { 
				$('.alert-warning').html(result.message).removeClass('x-hidden');
				window.location = site_path + '/admin_plugins.php?sub_view=ads_members';
				} 
				else { eval(result.callback);}
            }
        });
    });
	
	
	/*admin create plan*/
    $(document).on('submit', '.add-ads-plan-form', function(event) { event.preventDefault();
        var form = $(this);
        form.ajaxSubmit({type : 'post', url : api['admin/admin_ads'],
				data: {'task':'plan_create'},success : function(result) {
                if (result.result == 1) { 
				$('.alert-warning').html(result.message).removeClass('x-hidden');
				window.location = site_path + '/admin_plugins.php?sub_view=ads_plans';
				} 
				else { eval(result.callback); }
            }
        });
    });
	
   /*admin delete plan list*/
    $(document).on('click', '.admin-delete-plan-from-list', function(event) { event.preventDefault();
		var self = $(this);																					
        var plan_id = self.attr('data-id');
		confirm(__['Delete Plan'], __['Are you sure you want to delete this plan?'], function() {
		self.closest('tr').hide();
		$.ajax({type: 'post', url: api['admin/admin_ads'], data: {'task':'plan_delete', 'plan_id':plan_id}, cache : false, success:function(result){ 
	   if(result.result == '1'){ self.closest('tr').remove(); }else{ self.closest('tr').show(); }
	   $('#modal').modal('hide');
	   }			   
	   });
	  });
    });
	
	/*admin edit plan*/
    $(document).on('submit', '.edit-ads-plan-form', function(event) { event.preventDefault();
        var form = $(this);
        form.ajaxSubmit({type:'post', url:api['admin/admin_ads'], data: {'task':'plan_edit'}, success : function(result) {
                if (result.result == 1) { 
				$('.alert-warning').html(result.message).removeClass('x-hidden');
				window.location = site_path + '/admin_plugins.php?sub_view=ads_plans';
				} 
				else { eval(result.callback); }
            }
        });
    });
		
});