<?php

/**
 * Universal installer v2
 * Plugins for Sngine v2+
 * @author Pepe Galvan - LdrMx
 */

//variable 
$ready = 0;

// enviroment settings
error_reporting(E_ALL ^ (E_NOTICE | E_WARNING));

// get functions
require('includes/functions.php');

/* the config file exist -> start the system */
if(!file_exists('includes/config.php')) {
    /* the config file doesn't exist -> start the installer */
    header('Location: ./');
}
 else 
{ 
    // get system configurations
    require('includes/config.php');
    // enviroment settings

 }


// install
if(isset($_POST['submit'])) {
    
    // [1] connect to the db
    $db = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
    if(mysqli_connect_error()){  _error(DB_ERROR); }
 
    // [2] create tabs the database    
	// Create Plugins tabs
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'plugins_ldrsoft'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = "
CREATE TABLE IF NOT EXISTS `plugins_ldrsoft` (
  `p_id` int(9) NOT NULL AUTO_INCREMENT,
  `p_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `p_version` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `p_type` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `p_desc` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `p_icon` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `p_order` int(3) NOT NULL DEFAULT '0',
  `p_active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`p_id`),
  UNIQUE KEY `p_type` (`p_type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  
  /* [ START 1th INSTALL OF PLUGIN] 03/MAY/2016 */
  //POLL
//Variables of poll
$p_name = "Poll Plugin";
$p_version = "1.3.1";
$p_type = "Poll";
$p_desc = "This plugin gives to your users the ability post polls in your social network.";
$p_icon = "poll";
$p_db_charset = 'utf8';
$p_db_collation = 'utf8_unicode_ci';

  
    /* INSERT ROW INTO plugins_ldrsoft */
  $sql = "SELECT p_id FROM ".DB_NAME.".`plugins_ldrsoft` WHERE p_type='$p_type'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
// INSERT ROW INTO plugins
$sql = "SELECT p_id FROM ".DB_NAME.".`plugins_ldrsoft` WHERE p_type='$p_type'";
 $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
 if( !$resource->num_rows )
  {   $sql = "INSERT INTO ".DB_NAME.".`plugins_ldrsoft`
      ( p_name, p_version, p_type, p_desc, p_icon, p_order )
      VALUES
      ( '$p_name',  '$p_version',  '$p_type',  '$p_desc',  '$p_icon', '1')"; 
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  // ######### UPDATE PLUGIN VERSION IN plugins
  else
  {
    $sql = " UPDATE ".DB_NAME.".`plugins_ldrsoft` SET p_name='$p_name', p_version='$p_version', p_desc='$p_desc', p_icon='$p_icon' WHERE p_type='$p_type' ";
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  // CREATE posts_polls_options
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'posts_polls_options'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = "
CREATE TABLE IF NOT EXISTS `posts_polls_options` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `poll_id` int(10) unsigned NOT NULL,
  `votes` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  
  // CREATE posts_polls
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'posts_polls'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = "
CREATE TABLE IF NOT EXISTS `posts_polls` (
  `poll_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `poll_user_id` int(10) unsigned NOT NULL,
  `post_id` int(10) unsigned NOT NULL,
  `poll_question` varchar(255) NOT NULL,
  `poll_votes` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`poll_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
 
 
   // CREATE poll_votes
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'polls_options_votes'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = "
  CREATE TABLE IF NOT EXISTS `polls_options_votes` (
  `user_id` int(10) unsigned NOT NULL,
  `poll_id` int(10) unsigned NOT NULL,
  `option_id` int(10) unsigned NOT NULL,
  UNIQUE KEY `user_id_poll_id` (`user_id`,`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  //ADMIN SETTING
    $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'poll_limit_answers'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `poll_limit_answers` INT NOT NULL DEFAULT 20 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
   
       $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'poll_enable_add_answers'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `poll_enable_add_answers` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
      $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'poll_enable_multi_votes'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `poll_enable_multi_votes` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
      $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'poll_enable_invite_to_friends'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `poll_enable_invite_to_friends` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
      $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'poll_enable_show_in_profile'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `poll_enable_show_in_profile` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
   /* [ END 1th INSTALL OF PLUGIN] 03/MAY/2016 */
   
   
   
   
   
   /* [ START 2th INSTALL OF PLUGIN] 03/MAY/2016 */
   //ADS
     //Variables ADS
$p_name = "Ads Advanced";
$p_version = "1.5.1";
$p_type = "Ads";
$p_desc = "This plugin gives to your users the ability uploads ads in your social network.";
$p_icon = "ads";

// INSERT ROW INTO plugins
  $sql = "SELECT p_id FROM ".DB_NAME.".`plugins_ldrsoft` WHERE p_type='$p_type'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
 if( !$resource->num_rows )
  {   $sql = "INSERT INTO ".DB_NAME.".`plugins_ldrsoft`
      ( p_name, p_version, p_type, p_desc, p_icon, p_order )
      VALUES
      ( '$p_name',  '$p_version',  '$p_type',  '$p_desc',  '$p_icon', '2')"; 
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  // ######### UPDATE PLUGIN VERSION IN plugins
  else
  {
    $sql = " UPDATE ".DB_NAME.".`plugins_ldrsoft` SET p_name='$p_name', p_version='$p_version', p_desc='$p_desc', p_icon='$p_icon' WHERE p_type='$p_type' ";
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  // CREATE ads_plans
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'ads_plans'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = "
CREATE TABLE IF NOT EXISTS `ads_plans` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `price` float NOT NULL DEFAULT '0',
  `quantity` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  $sql = "SELECT id FROM ads_plans WHERE id = 1 LIMIT 1";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {
	$sql="
	INSERT INTO `ads_plans` (`id`, `name`, `type`, `description`, `price`, `quantity`, `created_at`, `updated_at`) VALUES
(1, 'Basic Impression', 'impression', 'Basic plan impression', 1.5, 1000, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 'Basic Clicks', 'clicks', 'Basic plan clicks', 1, 100, '0000-00-00 00:00:00', '0000-00-00 00:00:00');
	";
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  // CREATE ads_ldrsoft
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'ads_ldrsoft'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = "
CREATE TABLE IF NOT EXISTS `ads_ldrsoft` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `campaign_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `slug` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `user_id` int(11) NOT NULL,
  `page_id` int(11) NOT NULL,
  `post_id` int(11) NOT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `link` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `display_link` text COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `type_content` longtext COLLATE utf8_unicode_ci NOT NULL,
  `plan_type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `plan_id` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `target_location` longtext COLLATE utf8_unicode_ci NOT NULL,
  `target_gender` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'all',
  `impression_stats` int(11) NOT NULL,
  `clicks_stats` int(11) NOT NULL,
  `clicks` int(11) NOT NULL DEFAULT '0',
  `views` int(11) NOT NULL DEFAULT '0',
  `images` longtext COLLATE utf8_unicode_ci NOT NULL,
  `paid` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
 
 
   // CREATE ads_entities
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'ads_entities'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = "
CREATE TABLE IF NOT EXISTS `ads_entities` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entity_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ad_id` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
// ADD COLUMNS system_options
$sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'ads_enable_sandbox'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `ads_enable_sandbox` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
 
$sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'ads_no_external_images'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `ads_no_external_images` INT NOT NULL DEFAULT 5 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
$sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'ads_no_right_column'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `ads_no_right_column` INT NOT NULL DEFAULT 2 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
$sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'ads_quantity_rate'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `ads_quantity_rate` INT NOT NULL DEFAULT 5 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
 
$sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'enable_ads_on_post'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `enable_ads_on_post` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
 $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'enable_website_ads_on_post'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `enable_website_ads_on_post` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
  $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'ads_enable_secure'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `ads_enable_secure` INT NOT NULL DEFAULT 0 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
  $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'ads_enable_paypal'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `ads_enable_paypal` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }  
  
    $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'corporate_paypal_email'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `corporate_paypal_email` varchar(255) COLLATE utf8_unicode_ci NOT NULL ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }  
  
    $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'paypal_email_notification'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `paypal_email_notification` varchar(255) COLLATE utf8_unicode_ci NOT NULL ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }  
  
    $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'ads_enable_stripe'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `ads_enable_stripe` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
      $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'stripe_secret_key'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `stripe_secret_key` varchar(255) COLLATE utf8_unicode_ci NOT NULL ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
      $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'stripe_publishable_key'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `stripe_publishable_key` varchar(255) COLLATE utf8_unicode_ci NOT NULL ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }       

  //disable or eneable pagelet_ego in profile/message/page
  $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'pagelet_ego'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `pagelet_ego` int(11) NOT NULL DEFAULT '1' ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
/*PAYPAL SAVE DATA*/
   // CREATE ads_entities
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'ads_paypal_data'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
					
  if( !$resource->num_rows )
  {  $sql = "
CREATE TABLE IF NOT EXISTS `ads_paypal_data` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `item_name` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `item_number` int(11) NOT NULL DEFAULT '0',
  `payment_status` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `payment_amount` float NOT NULL DEFAULT '0',
  `payment_currency` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `quantity` int(11) NOT NULL DEFAULT '0',
  `txn_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `receiver_email` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `payer_email` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `custom` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `txn_id` (`txn_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'enable_ads_left_column'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `enable_ads_left_column` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
   
 $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'ads_no_left_column'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `ads_no_left_column` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
  $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'ad_rigth_scroll'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `ad_rigth_scroll` INT NOT NULL DEFAULT 1 ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
   /* [ END 2th INSTALL OF PLUGIN] 03/MAY/2016 */
   
   
   
   
   
   
   
   /* [ START 3th INSTALL OF PLUGIN] 03/MAY/2016 */
   //POKES
    //Variables pokes
  $p_name = "Plugin Pokes";
  $p_version = "1.2.1";
  $p_type = "Pokes";
  $p_desc = "This plugin gives to your users the ability send a poke a friends o other users of your network.";
  $p_icon = "poke";
  
  /* INSERT ROW INTO plugins_ldrsoft */
  $sql = "SELECT p_id FROM ".DB_NAME.".`plugins_ldrsoft` WHERE p_type='$p_type'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
 
 if( !$resource->num_rows )
  {   $sql = "INSERT INTO ".DB_NAME.".`plugins_ldrsoft`
      ( p_name, p_version, p_type, p_desc, p_icon, p_order )
      VALUES
      ( '$p_name',  '$p_version',  '$p_type',  '$p_desc',  '$p_icon', '3')"; 
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  // UPDATE PLUGIN VERSION IN plugins_ldrsoft
  else
  {
    $sql = " UPDATE ".DB_NAME.".`plugins_ldrsoft` SET p_name='$p_name', p_version='$p_version', p_desc='$p_desc', p_icon='$p_icon' WHERE p_type='$p_type' ";
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  /*create tab pokes*/ 
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'pokes'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = "
CREATE TABLE IF NOT EXISTS `pokes` (
  `user_id` int(11) NOT NULL,
  `owner_id` int(11) NOT NULL,
  `poke_stamp` int(11) NOT NULL,
  UNIQUE KEY `user_id` (`user_id`,`owner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }

   /* [ END 3th INSTALL OF PLUGIN] 03/MAY/2016 */
   
   
   
   
   
   /* [ START 4th INSTALL OF PLUGIN] 03/MAY/2016 */
   //SHARE POST
   //Variables share post
  $p_name = "Share post";
  $p_version = "1.0.1";
  $p_type = "Share";
  $p_desc = "This plugin gives to your users the ability share a post, getting information of post.";
  $p_icon = "share";
  
 /* INSERT ROW INTO plugins_ldrsoft */
  $sql = "SELECT p_id FROM ".DB_NAME.".`plugins_ldrsoft` WHERE p_type='$p_type'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
 if( !$resource->num_rows )
  {   $sql = "INSERT INTO ".DB_NAME.".`plugins_ldrsoft`
      ( p_name, p_version, p_type, p_desc, p_icon, p_order )
      VALUES
      ( '$p_name',  '$p_version',  '$p_type',  '$p_desc',  '$p_icon', '4')"; 
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  // UPDATE PLUGIN VERSION IN plugins_ldrsoft
  else
  {
    $sql = " UPDATE ".DB_NAME.".`plugins_ldrsoft` SET p_name='$p_name', p_version='$p_version', p_desc='$p_desc', p_icon='$p_icon' WHERE p_type='$p_type' ";
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  

  $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`system_options` LIKE 'share_post_advanced'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE system_options ADD COLUMN `share_post_advanced` int(2) NOT NULL DEFAULT '1' ";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
   /* [ END 4th INSTALL OF PLUGIN] 03/MAY/2016 */  
    
	
	
	
   /* [ END 5th INSTALL OF PLUGIN] 03/MAY/2016 */  
   //Variables combobox
  $p_name = "Plugin Combobox";
  $p_version = "1.0";
  $p_type = "Combobox";
  $p_desc = "This plugin gives to your users the ability create suggest box input your social network.";
  $p_icon = "combobox";
  
  /* INSERT ROW INTO plugins_ldrsoft */
  $sql = "SELECT p_id FROM ".DB_NAME.".`plugins_ldrsoft` WHERE p_type='$p_type'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
 
 if( !$resource->num_rows )
  {   $sql = "INSERT INTO ".DB_NAME.".`plugins_ldrsoft`
      ( p_name, p_version, p_type, p_desc, p_icon, p_order )
      VALUES
      ( '$p_name',  '$p_version',  '$p_type',  '$p_desc',  '$p_icon', '5')"; 
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  // UPDATE PLUGIN VERSION IN plugins_ldrsoft
  else
  {
    $sql = " UPDATE ".DB_NAME.".`plugins_ldrsoft` SET p_name='$p_name', p_version='$p_version', p_desc='$p_desc', p_icon='$p_icon' WHERE p_type='$p_type' ";
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`posts` LIKE 'feel_type'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE posts ADD COLUMN `feel_type` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
    $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`posts` LIKE 'feel_text'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE posts ADD COLUMN `feel_text` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
  
      $sql = "SHOW COLUMNS FROM `".DB_NAME."`.`posts` LIKE 'feel_data'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE posts ADD COLUMN `feel_data` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL";    
    $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  } 
     // CREATE gifts_type
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'tag_types'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = " CREATE TABLE IF NOT EXISTS `tag_types` (
  `tag_id` int(11) NOT NULL AUTO_INCREMENT,
  `tag_type` int(11) NOT NULL DEFAULT '0',
  `tag_es_ES` text NOT NULL,
  `tag_src` text NOT NULL,
  `tag_en_US` text NOT NULL,
  `tag_ar_EG` text NOT NULL,
  `tag_fr_FR` text NOT NULL,
  `tag_pt_PT` text NOT NULL,
  `tag_de_DE` text NOT NULL,
  `tag_tr_TR` text NOT NULL,
  `tag_nl_NL` text NOT NULL,
  `tag_it_IT` text NOT NULL,
  `tag_ru_RU` text NOT NULL,
  PRIMARY KEY (`tag_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
  ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  $sql = "SELECT tag_id FROM tag_types WHERE tag_id = 1 LIMIT 1";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {
	$sql="
	INSERT INTO `tag_types` (`tag_id`, `tag_type`, `tag_es_ES`, `tag_src`) VALUES
(1, 1, 'feliz', 'v5pIg8BgPhs.png'),
(2, 1, 'genial', 'iP9EjLredwB.png'),
(3, 1, 'cansado', 'og7IX7S3EjB.png'),
(4, 1, 'enamorado', '3xIiZT1bPMk.png'),
(5, 1, 'terrible', 'kZRBBimb5n4.png'),
(6, 1, 'triste', '9KP8SigtDm2.png'),
(7, 1, 'alegre', 'jOPA3pfP0O-.png'),
(8, 1, 'maravillosamente', '1oTN0aYnkRR.png'),
(9, 1, 'bendecido', 'pj3FbQNyMFl.png'),
(10, 1, 'sensible', '9P9nMbtty6A.png'),
(11, 1, 'pensativo', 'h-1vYNPTzPU.png'),
(12, 1, 'motivado', 'nkqDbpMMpFx.png'),
(13, 1, 'decidido', '7-UhOueWPS0.png'),
(14, 1, 'bah', '82f5egAJygg.png'),
(15, 1, 'muy bien', 'lDzkLIYIPjt.png'),
(16, 1, 'con calor', 'FGtlDQ0X9A1.png'),
(17, 1, 'optimista', 'nkqDbpMMpFx.png'),
(18, 1, 'entusiasmado', 'PlNa_vltpUd.png'),
(19, 1, 'enfermo', 'enfermo.png'),
(20, 1, 's&uacute;per', '3KOjHwlEns2.png'),
(21, 1, 'inspirado', 'mOYCC4DDBPj.png'),
(22, 1, 'loco', 'vK59V9VPmRh.png'),
(23, 1, 'aburrido', '7gQNTmo8XtO.png'),
(24, 1, 'so&ntildeoliento', 'og7IX7S3EjB.png'),
(25, 1, 'festivo', 'jOPA3pfP0O-.png'),
(26, 1, 'orgulloso', 'nkqDbpMMpFx.png'),
(27, 1, 'enojado', 'Ta9iYOdm63s.png'),
(28, 1, 'decepcionado', '9KP8SigtDm2.png'),
(29, 1, 'confundido', 'hkTlaG3IXNK.png'),
(30, 1, 'mal', '9KP8SigtDm2.png'),
(31, 1, 'desanimado', 'YvYRHJP0Kmf.png'),
(32, 1, 'molesto', 'Ta9iYOdm63s.png'),
(33, 1, 'sarc&aacute;stico', 'sarcastico.png'),
(34, 1, 'Â¡bla!', 'wPC61R_Y9bo.png'),
(35, 1, 'fatal', '45EedjYd42V.png'),
(36, 1, 'incompleto', 's1-PAXkd07Y.png'),
(37, 1, 'especial', 'PlNa_vltpUd.png'),
(38, 1, 'en conflicto', 'SnPfDMF0qBh.png'),
(39, 1, 'relajado', '0r7TFV60Ern.png'),
(40, 1, 'agradecido', '4HdlGy68QjY.png'),
(41, 1, 'adolorido', 'fLDqckAIvPp.png'),
(42, 1, 'deprimido', 'kZRBBimb5n4.png'),
(43, 1, 'hambriento', 'B6bhTAqy2Dx.png'),
(44, 1, 'nost&aacute;lgico(a)', 'XFxxeskh_ld.png'),
(45, 1, 'solitario', 'YvYRHJP0Kmf.png'),
(46, 1, 'ebrio', 'Roq1s4pgzDh.png'),
(47, 1, 'estupendo', 'cEiOws9B72j.png'),
(48, 1, 'preocupado', '1rUexcDXotd.png'),
(49, 1, 'tranquilo', '0r7TFV60Ern.png'),
(50, 1, 'positivo', '0r7TFV60Ern.png'),
(51, 1, 'amado', '3xIiZT1bPMk.png'),
(52, 1, 'fant&aacute;stico', '68hrZQG7JAC.png'),
(53, 1, 'estresado', '9KP8SigtDm2.png'),
(54, 1, 'deca&iacute;do', 'kZRBBimb5n4.png'),
(55, 1, 'formidable', 'cEiOws9B72j.png'),
(56, 1, 'esperanzado', 'cEiOws9B72j.png'),
(57, 1, 'contento', 'v5pIg8BgPhs.png'),
(58, 1, 'encantador', '3xIiZT1bPMk.png'),
(59, 1, 'como nuevo', '1oTN0aYnkRR.png'),
(60, 1, 'exhausto', 'dJdfy1v86d0.png'),
(61, 1, 'desconcertado', 'SnPfDMF0qBh.png'),
(62, 1, 'lleno de energ&iacute;a', '68hrZQG7JAC.png'),
(63, 1, 'desafiado', 'h-1vYNPTzPU.png'),
(64, 1, 'calmado', '0r7TFV60Ern.png'),
(65, 1, 'despierto', 'vK59V9VPmRh.png'),
(66, 1, 'dichoso', 'jOPA3pfP0O-.png'),
(67, 1, 'encantado', '68hrZQG7JAC.png'),
(68, 1, 'afortunado', 'KFaewWBANl8.png'),
(69, 1, 'travieso', 'mxuStSltMMX.png'),
(70, 1, 'acalorado', 'DCNaK-4PlGZ.png'),
(71, 1, 'd&eacute;bil', 'YvYRHJP0Kmf.png'),
(72, 1, 'brusco', 'pj3owt4QAKa.png'),
(73, 1, 'perdido', 'hkTlaG3IXNK.png'),
(74, 1, 'entretenido', 'cEiOws9B72j.png'),
(75, 1, 'fabuloso', 'iP9EjLredwB.png'),
(76, 1, 'derrotado', 'YJN_mH0X_h7.png'),
(77, 1, 'sediento', '45EedjYd42V.png'),
(78, 1, 'pleno', '1oTN0aYnkRR.png'),
(79, 1, 'agobiado', 'NhSxN9P8erI.png'),
(80, 1, 'est&uacute;pido', 'YvYRHJP0Kmf.png'),
(81, 1, 'sorprendido', 'k-n3QxFIJQY.png'),
(82, 1, 'desesperado', 'Z6tEDBf7xB3.png'),
(83, 1, 'seguro', '_3_3wt_kGl5.png'),
(84, 1, 'bien', 'v5pIg8BgPhs.png'),
(85, 1, 'con resaca', '45EedjYd42V.png'),
(86, 1, 'desconsolado', 'm-07m9MBTj7.png'),
(87, 1, 'desagradable', '45EedjYd42V.png'),
(88, 1, 'desalentado', 'YvYRHJP0Kmf.png'),
(89, 1, 'mejor', 'v5pIg8BgPhs.png'),
(90, 1, 'precioso', 'LgJP1_WXiQ6.png'),
(91, 1, 'fuerte', '3KOjHwlEns2.png'),
(92, 1, 'frustrado', '9KP8SigtDm2.png'),
(93, 1, 'experto', 'mxuStSltMMX.png'),
(94, 1, 'sexy', 'LgJP1_WXiQ6.png'),
(95, 1, 'pesaroso', 'xzDB8_45Wmd.png'),
(96, 1, 'euf&oacute;rico', 'nkqDbpMMpFx.png'),
(97, 1, 'culpable', '9KP8SigtDm2.png'),
(98, 1, 'trist&oacute;n', '9KP8SigtDm2.png'),
(99, 3, 'La Biblia', 'oXrC69LSHp1.png'),
(100, 3, 'Un libro', 'oXrC69LSHp1.png'),
(101, 3, 'Mi Cuaderno', 'oXrC69LSHp1.png'),
(102, 3, 'Mi Social Network', 'oXrC69LSHp1.png'),
(103, 3, 'Un Cuento', 'oXrC69LSHp1.png'),
(104, 3, 'Poemas de Amor', 'oXrC69LSHp1.png'),
(105, 3, 'Mi Correo', 'oXrC69LSHp1.png'),
(106, 3, 'Un Manual', 'oXrC69LSHp1.png'),
(107, 3, 'Un Tutorial', 'oXrC69LSHp1.png'),
(108, 5, 'Whisky', 'jK0BlugGvG3.png'),
(109, 5, 'Cerveza', 'REsUndD8Tu2.png'),
(110, 5, 'Tequila', '_0HTLyzoZTd.png'),
(111, 5, 'Michelada', '_0HTLyzoZTd.png'),
(112, 5, 'Caf&eacute;', 'vcleM1xXhXs.png'),
(113, 5, 'Coca-Cola', '_0HTLyzoZTd.png'),
(114, 5, 'Vodka', '_0HTLyzoZTd.png'),
(115, 5, 'Vino Tinto', 'L1YVl8k4PTo.png'),
(116, 5, 'Corona', 'REsUndD8Tu2.png'),
(117, 5, 'Limonada', 'Ko6tbxNk3_f.png'),
(118, 5, 'Agua', 'HI-I7eTjCsq.png'),
(119, 5, 'Capuchino', 'vcleM1xXhXs.png'),
(120, 5, 'Pi&ntildea colada', 'EOlcVrf8P27.png'),
(121, 5, 'Caf&eacute; con Leche', 'vcleM1xXhXs.png'),
(122, 5, 'Frapp&eacute;', 'SaTBxlxesaJ.png'),
(123, 6, 'Hamburguesa', '6geBp6hxplZ.png'),
(124, 6, 'Tacos', '6u3ssNzBm65.png'),
(125, 6, 'Pastel', 'jXOH9S01py6.png'),
(126, 6, 'Ensalada', 'NGZ_3frTSYq.png'),
(127, 6, 'Tortas Ahogadas', 'GZwia0OTjBe.png'),
(128, 6, 'Helado', 'rH_M87SHAjl.png'),
(129, 6, 'Carne Asada', 'zOxabS3aFJX.png'),
(130, 6, 'Chocolate', 'kfbCIJTq20g.png'),
(131, 6, 'Comida Mexicana', 'GZwia0OTjBe.png'),
(132, 6, 'Desayuno', 'GZwia0OTjBe.png'),
(133, 6, 'Cenando', 'GZwia0OTjBe.png'),
(134, 6, 'Pizza', 'cg2VuozO5XL.png'),
(135, 6, 'Birria', 'GZwia0OTjBe.png'),
(136, 6, 'Mariscos', 'GZwia0OTjBe.png'),
(137, 6, 'Sushi', 'OMN0KO2SKl_.png'),
(138, 6, 'Comida China', 'GZwia0OTjBe.png'),
(139, 6, 'Lasagna', 'GZwia0OTjBe.png'),
(140, 6, 'Tacos al Pastor', '6u3ssNzBm65.png'),
(141, 6, 'Pescado', 'Mq6DnOqUMCA.png'),
(142, 8, 'Respuestas', 'fhVZXJlBAoG.png'),
(143, 8, 'Un Milagro', 'yCzMfc7tyr4.png'),
(144, 8, 'Amor', 'Vp0Ikzo4WMN.png'),
(145, 8, 'Tranquilidad', 'fhVZXJlBAoG.png'),
(146, 8, 'El Significado De La Vida', 'OFXWhVKwiVm.png'),
(147, 8, 'Un Buen Entrenamiento', 'Ifttc2hF8fT.png'),
(148, 8, 'Felicidad', 'cEiOws9B72j.png'),
(149, 8, 'Un Rifle', 'Vgn1H5m7m-w.png'),
(150, 8, 'Ayuda', 'SnPfDMF0qBh.png'),
(151, 8, 'Amigos', 'g-0KoKNt2dw.png'),
(152, 8, 'Inspiraci&oacute;n', 'mOYCC4DDBPj.png'),
(153, 8, 'Una Cerveza', 'REsUndD8Tu2.png'),
(154, 8, 'Un &aacute;ngel', 'M461VFOweI2.png'),
(155, 8, 'M&uacute;sica', '-O8Rm5tBxoG.png'),
(156, 8, 'Algo Para Comer', '1XoZsUUs_R2.png'),
(157, 8, 'Diversi&oacute;n', 'cEiOws9B72j.png'),
(158, 8, 'Un C&oacute;mplice', 'g-0KoKNt2dw.png'),
(159, 8, 'Alcohol', 'gmmysTiyKTc.png'),
(160, 8, 'Motivaci&oacute;n', 'mOYCC4DDBPj.png'),
(161, 8, 'Tr&eacute;boles De Cuatro Hojas', 'RDiduWD2sjo.png'),
(162, 8, 'Un novio', '2OZObtQo-m3.png'),
(163, 8, 'Una Novia', 'ASAEj4bS0jD.png'),
(164, 8, 'Gente Divertida', 'cEiOws9B72j.png'),
(165, 8, 'Una Aventura', 'yxx6NLJphDp5.png'),
(166, 8, 'El Abrazo De Un Amigo', 'Vp0Ikzo4WMN.png'),
(167, 8, 'La Luz Del Sol', 'FOu--6qxVJc.png'),
(168, 8, 'Una Cama', 'gg7ZUqXlMEk.png'),
(169, 8, 'Ideas', 'mOYCC4DDBPj.png'),
(170, 8, 'Un Perro', 'IY52UtcVG6f.png'),
(171, 8, 'Armas De Destrucci&oacute;n Masiva', 'YvSRtB4XwIL.png'),
(172, 8, 'Dinosaurios', 'YKcESi9s_mY.png'),
(173, 8, 'Amor En El Lugar Equivocado', 'Vp0Ikzo4WMN.png'),
(174, 8, 'La Salvaci&oacute;n', 'EYSvN-qu-NL.png'),
(175, 8, 'Esperanza', 'fhVZXJlBAoG.png'),
(176, 8, 'Recomendaciones De Regalos De Cumplea&ntildeos', 'jXOH9S01py6.png'),
(177, 8, 'Una Oveja', 'ZIJkjpegOTV.png'),
(178, 8, 'Un Juego', '_7cxWab0wY2.png'),
(179, 8, 'Un Trabajo', 'uslmVKraeYE.png'),
(180, 8, 'Equilibrio', 'fhVZXJlBAoG.png'),
(181, 8, 'Ovnis', 'OU0qEJm5LRI.png'),
(182, 8, 'Consejos', 'SnPfDMF0qBh.png'),
(183, 8, 'Caf&eacute;', 'vcleM1xXhXs.png'),
(184, 8, 'Dinero', 'RMr5byZ283b.png'),
(185, 8, 'Un Tel&eacute;fono Celular', 'M8biOSxEZjX.png'),
(186, 8, 'Buena M&uacute;sica', '-O8Rm5tBxoG.png'),
(187, 8, 'Una Cita Nocturna', 'Vp0Ikzo4WMN.png'),
(188, 8, 'Un Romance', 'fhVZXJlBAoG.png'),
(189, 8, 'Abrazos', 'Vp0Ikzo4WMN.png'),
(190, 8, 'Una Pel&iacute;cula', '2ZoOse-TmJ0.png'),
(191, 8, 'El Pr&iacute;ncipe Azul', 'fhVZXJlBAoG.png'),
(192, 8, 'Fotos', 'qRgaYLz7DHb.png'),
(193, 8, 'Un Buen Amigo', 'g-0KoKNt2dw.png'),
(194, 8, 'El Sol', 'FOu--6qxVJc.png'),
(195, 8, 'La Perfecci&oacute;n', 'fhVZXJlBAoG.png'),
(196, 8, 'Vida Inteligente', 'mOYCC4DDBPj.png'),
(197, 8, 'Flores', 'KQPGcFnU5ud.png'),
(198, 8, 'Pie Grande', 'JbDn63_nkJR.png'),
(199, 8, 'Dios', 'fhVZXJlBAoG.png'),
(200, 8, 'Wi-Fi', 'a9cHUn4V03U.png'),
(201, 8, 'Paz', 'fhVZXJlBAoG.png'),
(202, 8, 'Un Viaje', 'xOY_ZIoNYf_.png'),
(203, 8, 'Un Superh&eacute;roe', '3KOjHwlEns2.png'),
(204, 8, 'Comida', 'VmG3IoV0Zmy.png'),
(205, 8, 'Chocolate', 'kfbCIJTq20g.png'),
(206, 8, 'Una Vida', 'fhVZXJlBAoG.png'),
(207, 8, 'M&aacute;s Amigos', 'g-0KoKNt2dw.png'),
(208, 8, 'Algo Para Mirar', 'v4scXUcadWp.png'),
(209, 8, 'Helado', 'rH_M87SHAjl.png'),
(210, 8, 'Cosas Para Hacer', 'fhVZXJlBAoG.png'),
(211, 8, 'Un Alma Caritativa', 'fhVZXJlBAoG.png'),
(212, 8, 'Medicamentos', 'jGvRtUTC3iT.png'),
(213, 8, 'Un Doctor', 'fhVZXJlBAoG.png'),
(214, 8, 'Un Entrenamiento', 'Ifttc2hF8fT.png'),
(215, 8, 'Un Empleo', 'fhVZXJlBAoG.png'),
(216, 8, 'Un Tatuaje', 'fhVZXJlBAoG.png'),
(217, 8, 'Ropa', 'lsHqIUG0PvW.png'),
(218, 8, 'Recomendaciones De Viajes', 'xOY_ZIoNYf_.png'),
(219, 8, 'Un Masajista', 'fhVZXJlBAoG.png'),
(220, 8, 'Un Cerebro', 'tUVKSAZnvc8.png'),
(221, 8, 'Un Libro', 'oXrC69LSHp1.png'),
(222, 8, 'Canciones', '8_3oc2-8I_f.png'),
(223, 8, 'Una Moto', 'wJl4XgF39H7.png'),
(224, 8, 'Una Torta', 'jXOH9S01py6.png'),
(225, 8, 'Un Auto', '5ZJ__Y7gPZE.png'),
(226, 8, 'Un Par De Zapatos', 'LuL5CO9KusH.png'),
(227, 8, 'Un Mago', 'yCzMfc7tyr4.png'),
(228, 8, 'Pastelillos', 'fhVZXJlBAoG.png'),
(229, 8, 'Peces', 'IpPttpPY-oL.png'),
(230, 8, 'F&uacute;tbol De Sal&oacute;n', 'MTNgVQ80uTQ.png'),
(231, 8, 'Un Vestido', 'lsHqIUG0PvW.png'),
(232, 8, 'Una Mascota', 'IY52UtcVG6f.png'),
(233, 8, 'Un Departamento', '8dA0HHy8Uki.png'),
(234, 8, 'Un Trabajo De Jornada Completa', 'uslmVKraeYE.png'),
(235, 8, 'Una Casa', '8dA0HHy8Uki.png'),
(236, 8, 'Un Gatito', 'g9g7Vt7ZkN9.png'),
(237, 8, 'Un Bar', 'EOlcVrf8P27.png'),
(238, 8, 'Comida Sana', 'SGKyFlZv5wz.png'),
(239, 8, 'Una Gatita', 'g9g7Vt7ZkN9.png'),
(240, 8, 'Donaciones', 'RMr5byZ283b.png'),
(241, 8, 'Un iPhone', 'M8biOSxEZjX.png'),
(242, 8, 'Un Caballo', 'y8Eah6r0Ysik.png'),
(243, 8, 'Una Casa En Alquiler', '8dA0HHy8Uki.png'),
(244, 8, 'Una Actividad', 'fhVZXJlBAoG.png'),
(245, 8, 'Una Ni&ntildeera', 'YVb_hKKsIF6.png'),
(246, 8, 'Un Colch&oacute;n', 'gg7ZUqXlMEk.png'),
(247, 8, 'Un Hotel', 'yJEhYZKFiCq.png'),
(248, 8, 'Voluntarios', '2OZObtQo-m3.png'),
(249, 8, 'Un Trabajo De Media Jornada', 'uslmVKraeYE.png'),
(250, 8, 'Un Dentista', 'yl-CQIB0vqXy.png'),
(251, 8, 'Un Disfraz', 'WWAEg0B9aI0.png'),
(252, 8, 'Un Estilista', 'ASAEj4bS0jD.png'),
(253, 8, 'Un Coach Personal', 'fhVZXJlBAoG.png'),
(254, 8, 'Un Restaurante', 'VmG3IoV0Zmy.png'),
(255, 8, 'Almuerzo', '-_u20OYBetB.png'),
(256, 8, 'Comida R&aacute;pida', '6geBp6hxplZ.png'),
(257, 8, 'Zapatos', 'fhVZXJlBAoG.png'),
(258, 8, 'Postres', 'nIw4773NxOV.png'),
(259, 8, 'Una Receta', 'YRzuk5_pSBE.png'),
(260, 8, 'Pizza', 'cg2VuozO5XL.png'),
(261, 8, 'Mujeres', 'ASAEj4bS0jD.png'),
(262, 9, 'la Copa Am&eacute;rica', 'qHpp7rZWlBN.png'),
(263, 9, 'tu cumplea&ntildeos', 'bfyewa8Oyff.png'),
(264, 9, 'su cumplea&ntildeos', 'bfyewa8Oyff.png'),
(265, 9, 'este d&iacute;a especial', '2KdHghzBOu-.png'),
(266, 9, 'tu d&iacute;a especial', '2KdHghzBOu-.png'),
(267, 9, 'mi cumplea&ntildeos', 'bfyewa8Oyff.png'),
(268, 9, 'el amor', 'M1KnNC0bWQc.png'),
(269, 9, 'la vida', 'SqCm3v9DW06.png'),
(270, 9, 'la victoria', 'qHpp7rZWlBN.png'),
(271, 9, 'nuestro aniversario', 'YrNYch9cYWG.png'),
(272, 9, 'el &eacute;xito', 'AwhnVztl4_S.png'),
(273, 9, 'algo', '2KdHghzBOu-.png'),
(274, 9, 'el cumplea&ntildeos de la Reina', 'q9aoMnK1eSU.png'),
(275, 9, 'tu gran d&iacute;a', '2KdHghzBOu-.png'),
(276, 9, 'otro a&ntildeo de vida', '2KdHghzBOu-.png'),
(277, 9, 'la amistad', '2KdHghzBOu-.png'),
(278, 9, 'nuestro d&iacute;a especial', '2KdHghzBOu-.png'),
(279, 9, 'este d&iacute;a', '2KdHghzBOu-.png'),
(280, 9, 'otro cumplea&ntildeos', 'bfyewa8Oyff.png'),
(281, 9, 'la recuperaci&oacute;n', 'xOVqHV00m9f.png'),
(282, 9, 'el s&aacute;bado', '2KdHghzBOu-.png'),
(283, 9, 'tu d&iacute;a', '2KdHghzBOu-.png'),
(284, 9, 'el viernes', '2KdHghzBOu-.png'),
(285, 9, 'mi nuevo trabajo', '594GKtUBwWE.png'),
(286, 9, 'este fin de semana', '2KdHghzBOu-.png'),
(287, 9, 'la graduaci&oacute;n', 'tUVKSAZnvc8.png'),
(288, 9, 'sus cumplea&ntildeos', 'bfyewa8Oyff.png'),
(289, 9, 'un baby shower', 'CrFn8EBaPII.png'),
(290, 9, 'mi d&iacute;a especial', '2KdHghzBOu-.png'),
(291, 9, 'nuestra boda', 'xnpviFR9p_1.png'),
(292, 9, 'todos los d&iacute;as', '2KdHghzBOu-.png'),
(293, 9, 'el cumplea&ntildeos de mi mam&aacute;', '2KdHghzBOu-.png'),
(294, 9, 'mi d&iacute;a', '2KdHghzBOu-.png'),
(295, 9, 'mis vacaciones', '2KdHghzBOu-.png'),
(296, 9, 'el cumplea&ntildeos de mi pap&aacute;', '2KdHghzBOu-.png'),
(297, 9, 'tu vida', '2KdHghzBOu-.png'),
(298, 9, 'otro a&ntildeo', '2KdHghzBOu-.png'),
(299, 9, 'Noche del Destino', 'mlWR2Mr-4EM.png'),
(300, 9, 'las vacaciones', '2KdHghzBOu-.png'),
(301, 9, 'el aniversario de nuestra boda', 'YrNYch9cYWG.png'),
(302, 9, 'nuestro 25.Âº aniversario de boda', 'YrNYch9cYWG.png'),
(303, 9, 'la primavera', 'KQPGcFnU5ud.png'),
(304, 9, 'el primer d&iacute;a de la primavera', 'KQPGcFnU5ud.png'),
(305, 9, 'el final del semestre', 'tUVKSAZnvc8.png'),
(306, 9, 'la diversidad', '2KdHghzBOu-.png'),
(307, 9, 'las vacaciones de primavera', 'iP9EjLredwB.png'),
(308, 9, 'el invierno', 'NSx21rpL4x2.png'),
(309, 9, 'mi 21.Âº cumplea&ntildeos', '2KdHghzBOu-.png'),
(310, 9, 'nuestros cumplea&ntildeos juntos', 'xnpviFR9p_1.png'),
(311, 9, 'nuestros cumplea&ntildeos', '2KdHghzBOu-.png'),
(312, 9, 'Grito de Dolores', '2KdHghzBOu-.png'),
(313, 9, 'Batalla de Las Piedras', '2KdHghzBOu-.png'),
(314, 9, 'Navidad', 'TjFBgb6hL2q.png'),
(315, 9, 'la Fundaci&oacute;n de Quito', 'adNSl83c05u.png'),
(316, 9, 'el feriado por la Conmemoraci&oacute;n del D&iacute;a de la Revoluci&oacute;n', 'gPX2HEisVJ8.png'),
(317, 9, 'Rosh Hashan&aacute;', 'hb97Jv8A4PQ.png'),
(318, 9, 'el D&iacute;a de la Victoria de la Batalla de Boquer&oacute;n', 'C10zybAZbWv.png'),
(319, 9, 'Pentecost&eacute;s', 'EYSvN-qu-NL.png'),
(320, 9, 'D&iacute;a del Abuelo', '3xIiZT1bPMk.png'),
(321, 9, 'Batalla de Pichincha', '2KdHghzBOu-.png'),
(322, 9, 'la Conmemoraci&oacute;n del Natalicio de Benito Ju&aacute;rez', 'gPX2HEisVJ8.png'),
(323, 9, 'la Conmemoraci&oacute;n del Natalicio de Sim&oacute;n Bol&iacute;var', '3xIiZT1bPMk.png'),
(324, 9, 'Western Australia Day', 'ReyDgqjJkF0.png'),
(325, 9, 'Hallowen', 'h_XJ-Coqrq2.png'),
(326, 9, 'Celebrations of San Salvador', 'h_EI8Zk0-B0.png'),
(327, 9, 'el D&iacute;a de la Constituci&oacute;n', 'gPX2HEisVJ8.png'),
(328, 9, 'D&iacute;a del Ni&ntildeo', 'YVb_hKKsIF6.png'),
(329, 9, 'Nochebuena', 'TjFBgb6hL2q.png'),
(330, 9, 'Fiesta de San Mart&iacute;n', 'Ntk_mXkQ7Lp.png'),
(331, 9, 'la Independencia de Cuenca', 'adNSl83c05u.png'),
(332, 9, 'Towel Day', 'eITYtYhmeJ5.png'),
(333, 9, 'D&iacute;a de la Madre', 'KQPGcFnU5ud.png'),
(334, 9, 'D&iacute;a Mundial del Turismo', '9nK7jUjbEh1.png'),
(335, 9, 'D&iacute;a Mundial para la Prevenci&oacute;n del Suicidio', 'SDX1us6S2AR.png'),
(336, 9, 'Enkutatash', '2KdHghzBOu-.png'),
(337, 9, 'Yom Kipur', 'hb97Jv8A4PQ.png'),
(338, 9, 'Knabenschiessen', 'pPMqbAV-Bmw.png'),
(339, 9, 'D&iacute;a de los Derechos Humanos', 'SDX1us6S2AR.png'),
(340, 9, 'la Conmemoraci&oacute;n del Natalicio de Jos&eacute; Artigas', '1YR4iDte4B8.png'),
(341, 9, 'D&iacute;a Mundial de la Lengua Ãrabe', '2KdHghzBOu-.png'),
(342, 9, 'Saudi National Day', 'wbqjgHikVoj.png'),
(343, 9, 'Feast of the Immaculate Conception', 'EYSvN-qu-NL.png'),
(344, 9, 'Labor Day', 'Bgi0GiXXuEp.png'),
(345, 9, 'el D&iacute;a de la Virgen de Guadalupe', 'gPX2HEisVJ8.png'),
(346, 9, 'Conmemoraci&oacute;n de los Fieles Difuntos', 'EYSvN-qu-NL.png'),
(347, 9, 'Corpus Christi', 'EYSvN-qu-NL.png'),
(348, 9, 'Cinco de Mayo', 'gPX2HEisVJ8.png'),
(349, 9, 'Nochevieja', '2KdHghzBOu-.png'),
(350, 9, 'FÃªte nationale du Qu&eacute;bec', 'Cp2PYVKOXzs.png'),
(351, 9, 'el D&iacute;a de los Santos Inocentes', 'gPX2HEisVJ8.png'),
(352, 9, 'D&iacute;a de Todos los Santos', 'EYSvN-qu-NL.png'),
(353, 9, 'Independencia de Guayaquil', '2KdHghzBOu-.png'),
(354, 9, 'el D&iacute;a de Melilla', '2QlXixHEhZL.png'),
(355, 9, 'el inicio de las celebraciones de Santo Domingo', 'mlWR2Mr-4EM.png'),
(356, 9, 'el D&iacute;a de La Rioja', 'NJnzoPL79dG.png'),
(357, 9, 'el D&iacute;a de Moraz&aacute;n', '2QlXixHEhZL.png'),
(358, 9, 'Nunavut Day', 'SDX1us6S2AR.png'),
(359, 9, 'A&ntildeo Nuevo chino', 'RDE5dmpt1t3.png'),
(360, 9, 'el D&iacute;a Mundial de la Salud de las Naciones Unidas', 'Cp2PYVKOXzs.png'),
(361, 9, 'la Fundaci&oacute;n de Asunci&oacute;n', '2KdHghzBOu-.png'),
(362, 9, 'Day of Extremadura', 'SDX1us6S2AR.png'),
(363, 9, 'el &uacute;ltimo d&iacute;a de las Celebraciones de Santo Domingo', 'C10zybAZbWv.png'),
(364, 9, 'Canaries day observed', '2QlXixHEhZL.png'),
(365, 9, 'D&iacute;a de Australia', 'NJnzoPL79dG.png'),
(366, 9, 'el D&iacute;a de la Virgen de Caacup&eacute;', '2QlXixHEhZL.png'),
(367, 9, 'el D&iacute;a de la Independencia', 'ReyDgqjJkF0.png'),
(368, 9, 'el D&iacute;a de la Expropiaci&oacute;n Petrolera', 'C10zybAZbWv.png');
	";
 $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
 }
   
   /* [ END 5th INSTALL OF PLUGIN] 03/MAY/2016 */  
	
	
	
	
   /* [ END 6th INSTALL OF PLUGIN] 03/MAY/2016 */
  //Variables pages  
  $p_name = "Plugin Pages Advanced";
  $p_version = "1.0";
  $p_type = "Pages";
  $p_desc = "This plugin gives to your users the ability create pages as other users and permise create a best service of your pages in your social network.";
  $p_icon = "pages"; 
  
  /* INSERT ROW INTO plugins_ldrsoft */
  $sql = "SELECT p_id FROM ".DB_NAME.".`plugins_ldrsoft` WHERE p_type='$p_type'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
 
 if( !$resource->num_rows )
  {   $sql = "INSERT INTO ".DB_NAME.".`plugins_ldrsoft`
      ( p_name, p_version, p_type, p_desc, p_icon, p_order )
      VALUES
      ( '$p_name',  '$p_version',  '$p_type',  '$p_desc',  '$p_icon', '6')"; 
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  // UPDATE PLUGIN VERSION IN plugins_ldrsoft
  else
  {
    $sql = " UPDATE ".DB_NAME.".`plugins_ldrsoft` SET p_name='$p_name', p_version='$p_version', p_desc='$p_desc', p_icon='$p_icon' WHERE p_type='$p_type' ";
    $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  // CREATE pages
  $sql = "SHOW TABLES FROM ".DB_NAME." LIKE 'pages_admins'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  
  if( !$resource->num_rows )
  {  $sql = "
   CREATE TABLE `pages_admins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `page_id` int(11) NOT NULL DEFAULT '0',
  `username` varchar(255) NOT NULL DEFAULT '',
  `update` int(15) NOT NULL DEFAULT '0',
  `lastactive` int(15) NOT NULL DEFAULT '0',
  `ip` varchar(25) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
   )
   ENGINE=MyISAM  DEFAULT CHARSET=utf8
   ";  
  $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  }
  
  // ADD COLUMNS
  $sql = "SHOW COLUMNS FROM ".DB_NAME.".`users` LIKE 'page_id'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE users ADD COLUMN `page_id` INT(11)  NOT NULL default 0 "; $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql"); }
  
  $sql = "SHOW COLUMNS FROM ".DB_NAME.".`users` LIKE 'page_admin'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE users ADD COLUMN `page_admin` INT(11)  NOT NULL default 0 "; $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql"); }
  
  //COLUM IN USERS
  $sql = "SHOW COLUMNS FROM ".DB_NAME.".`users` LIKE 'user_work_title_id'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE users ADD COLUMN `user_work_title_id` INT(11)  NOT NULL default 0 "; $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql"); }
  
  //COLUM IN USERS
  $sql = "SHOW COLUMNS FROM ".DB_NAME.".`users` LIKE 'user_work_place_id'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE users ADD COLUMN `user_work_place_id` INT(11)  NOT NULL default 0 "; $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql"); }
  
  //COLUM IN USERS
  $sql = "SHOW COLUMNS FROM ".DB_NAME.".`users` LIKE 'user_current_city_id'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE users ADD COLUMN `user_current_city_id` INT(11)  NOT NULL default 0 "; $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql"); }
  
  //COLUM IN USERS
  $sql = "SHOW COLUMNS FROM ".DB_NAME.".`users` LIKE 'user_hometown_id'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE users ADD COLUMN `user_hometown_id` INT(11)  NOT NULL default 0 "; $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql"); }
  
  //COLUM IN USERS
  $sql = "SHOW COLUMNS FROM ".DB_NAME.".`users` LIKE 'user_edu_major_id'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE users ADD COLUMN `user_edu_major_id` INT(11)  NOT NULL default 0 "; $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql"); }
  
  //COLUM IN USERS
  $sql = "SHOW COLUMNS FROM ".DB_NAME.".`users` LIKE 'user_edu_school_id'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE users ADD COLUMN `user_edu_school_id` INT(11)  NOT NULL default 0 "; $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql"); }
  
  //COLUM IN USERS
  $sql = "SHOW COLUMNS FROM ".DB_NAME.".`users` LIKE 'user_edu_class_id'";
  $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql");
  if( !$resource->num_rows )
  {	$sql = " ALTER TABLE users ADD COLUMN `user_edu_class_id` INT(11)  NOT NULL default 0 "; $resource = $db->query($sql) or die($db->error." <b>SQL was: </b>$sql"); }
  
  //CREATE PAGES OF OLD PAGES
  /* $sql = " SELECT * FROM pages ORDER BY page_id ASC ";
   $resource = $db->query($sql);
   if( !$resource->num_rows )
  {
  while($row = $resource->fetch_array(MYSQLI_ASSOC)){
  $getExist = $db->query("SELECT page_id FROM users WHERE page_id='{$row['page_id']}' LIMIT 1");
  if($getExist->num_rows == 0 ){
  $db->query("INSERT INTO users ( page_id, page_admin, user_name, user_fullname, user_gender, user_picture, user_cover, user_verified, user_group, user_activated )
      VALUES
      ( '{$row['page_id']}', '{$row['page_admin']}', '{$row['page_name']}', '{$row['page_name']}', 'M', '{$row['page_picture']}', '{$row['page_cover']}', '1', '5', '1')");
      }
    } 
  }*/
   /* [ END 6th INSTALL OF PLUGIN] 03/MAY/2016 */  
  
  /*end all*/
   $ready = 1;
}
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge"> 
        <meta name="viewport" content="width=device-width, initial-scale=1"> 
        <title>Plugins for Sngine v2+ &rsaquo; Installer - www.20script.ir</title>      
		<link rel="stylesheet" type="text/css" href="content/themes/default/css/style.css" />
		<link rel="stylesheet" type="text/css" href="includes/assets/css/bootstrap/css/bootstrap.min.css" />
    </head>
	<style>
body{ font-size:12px; }
.btn_bt{border:1px solid #CCC; background-color:#CCC; text-align:center; padding:5px;}
</style>
    <body>
 <div class="container mt20"><div class="row"><div class="col-sm-12">
		
		
                <div class="panel panel-default">               
                <div class="panel-heading"> Welcome to <strong>Universal</strong> installation! - 20 Script -  <strong>03/may/2016</strong></div>
				<div class="panel-body pg_1x">	
				<div class="col-sm-7"><img src="includes/lider/images/cover.png"></div>
				
				<div class="col-sm-5">
				
				<div class="panel panel-default">
				<div class="panel-heading"><b>Welcome to installation program</b></div>
				<div class="panel-body" style="text-align:justify;">Is easy! To get started, click the button below. If you have questions about the installation process or in general, get in touch with us.</div>	
				</div>
				

                <div class="panel panel-default">
				<div class="panel-heading"><strong>File Permissions</strong></div>
				<div class="panel-body" style="text-align:justify;">content/uploads/ads/<br>content/uploads/gifts/</div>
				</div>	
	
				
				</div>
				
				<div class="col-sm-12">
				
				<div class="panel panel-default">
				<div class="panel-heading"><b>Installing Plugins:</b></div>
				<div class="panel-body" style="text-align:justify;">
Before continuing, please be sure you have reviewed the installation instructions provided in <b>Documentation</b>.				
				</div>	
				</div>
				
				</div>
                
				<form autocomplete="off" action="install_plugins.php" method="post">                             
					<?php if($ready == 0){
                    echo '<button name="submit" type="submit" class="btn btn-primary col-sm-12" style="width:100%;">Update / Install Now!!</button>';
					} else if($ready == 1){ header('Location: ./admin_plugins.php'); } ?>
					</form>
                 
            </div>
        </div>
		
		
		</div></div></div>       
    </body>
</html>