<div class="row col-sm-12">
<div class="panel panel-default">
    <div class="panel-heading">{__('Edit Ad')}</div>
    <div class="panel-body">
        
        <div class="alert alert-warning {if !$message}x-hidden{/if}">{$message}</div>
        
        <form class="save-edit-ad-button form-horizontal" action="" method="post">
		    <input type="hidden" id="ads-id" value="{$ad['id']}" class="form-control" name="val[id]"/>
            <div class="form-group">
                <label class="col-sm-4">{__('Ad Campaign Name')}</label>
                <div class="col-sm-7">
                    <input type="text" value="{$ad['campaign_name']}" class="form-control" name="val[campaign_name]"/>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Optimize for')}:</label>
                <div class="col-sm-7">

                    <div class="alert alert-danger">
                        <strong>{__('Note')}:</strong> {__('Once you change the plan and the plan Type it will override the current onces the ad is using')}
                    </div>

                    <select  style="width: 60%" class="form-control ads-plan-type" name="val[plan_type]">
                        <option {if $ad['plan_type'] == 'clicks'}selected{/if} value="clicks">{__('Clicks')}</option>
                        <option {if $ad['plan_type'] == 'impression'}selected{/if} value="impression">{__('Impressions')}</option>
                    </select>
                </div>


            </div>
            <div class="form-group">

                <label class="col-sm-4">{__('How much do you want to spend')}</label>
                <div class="col-sm-7">

                    <select  style="width: 60%" class="form-control ads-plans" name="val[plan_id]">
                        {foreach $plans as $plan}
                        <option {if $ad['plan_id'] == $plan['id']}selected{/if} value="{$plan['id']}">{$plan['name']} (${$plan['price']})</option>
                        {/foreach}
                    </select>

                </div>

            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Ad Status')}</label>
                <div class="col-sm-7">

                    <select style="width: 60%" name="val[status]" class="form-control">
                        <option {if $ad['status'] == '1'}selected{/if} value="1">{__('Ad Running')}</option>
                        <option {if $ad['status'] == '0'}selected{/if} value="male">{__('Ad Stopped')}</option>
                    </select>
                </div>

            </div>
            <div class="body-header">
                <input  class="btn btn-danger no-radius" type="submit" value="Save Ad"/>
            </div>
            <br/>
        </form>
    </div>
</div>
</div>