<div class="row col-sm-12">
<div class="panel panel-default">
    <div class="panel-heading">{__('Edit Plan')}</div>
    <div class="panel-body">
        
        <div class="alert alert-warning {if !$message}x-hidden{/if}">{$message}</div>
        
        <form id="add-ads-plan-form"  class="edit-ads-plan-form form-horizontal" action="" method="post">
		<input type="hidden" value="{$plan['id']}" class="form-control" name="val[id]"/>
            <div class="form-group">
                <label class="col-sm-4">{__('Plan Title')}</label>
                <div class="col-sm-7">
                    <input type="text" value="{$plan['name']}" class="form-control" name="val[name]"/>
                    <p class="help-block">{__('Give your plan a unique name')}</p>
                </div>

            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Plan Description')}</label>
                <div class="col-sm-7">
                    <input value="{$plan['description']}" type="text" class="form-control" name="val[description]"/>
                    <p class="help-block">{__('Give your plan a short description')}</p>
                </div>

            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Plan Type')}</label>
                <div class="col-sm-7">
                    <select name="val[type]">
                        <option {if $plan['type'] == 'impression'}selected{/if} value="impression">{__('Impression')}</option>
                        <option {if $plan['type'] == 'clicks'}selected{/if} value="clicks">{__('Clicks')}</option>
                    </select>
                    <p class="help-block">{__('What type of ads this plan will take, is it pay per impression or by clicks')}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Plan Price')} </label>
                <div class="col-sm-7">
                    <input value="{$plan['price']}" type="text" placeholder="{__('For example:30 or 100 or 1000 e.t.c')}" class="form-control" name="val[price]"/>
                    <p class="help-block">{__('Please price are in dollar')} <strong>{__('for example 30')}</strong></p>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-4">{__('Plan Quantity')}</label>
                <div class="col-sm-7">
                    <input value="{$plan['quantity']}" type="text" placeholder="{__('For example: 100 or 1000 e.t.c')}" class="form-control" name="val[quantity]"/>
                    <p class="help-block">{__('Give your plan a quantity that must be reach before ads stop showing')}

                        <strong>{__('Like 20 clicks or 1000 impression')}</strong> {__('stop the ads from showing')}</p>
                </div>
            </div>

            <div class="body-header">
                <input  class="btn btn-danger no-radius" type="submit" value="{__('Save Plan')}"/>
            </div>
            <br/>
        </form>
    </div>
</div>
</div>