<?php

/**
 * ajax -> ads -> load_plans
 * Plugin for Sngine v2+
 * @author Pepe Galvan  - LdrMx
 */

// fetch bootstrap
require('../../../../bootstrap.php');

// check AJAX Request 
is_ajax();

// check user logged in
if(!$user->_logged_in) { modal(LOGIN); }

// check user activated
if($system['email_send_activation'] && !$user->_data['user_activated']) {
	modal(MESSAGE, __("Not Activated"), __("Before you can interact with other users, you need to confirm your email address"));
}
//inputs
$ad_id = ( isset($_POST['ad_id']) ? $_POST['ad_id'] : ( isset($_GET['ad_id']) ? $_GET['ad_id'] : '0' ) );

$myresult = 0;
//check if ad_id exist
if($user->_logged_in && $ad_id != 0){
	$ad = Ads::get_ad($ad_id, "");
	//check if ad exist
	if ($ad){ 
	//update click
    Ads::processClick($ad);
	$myresult = 1;	
	}
}
	 $result = array('result' => $myresult); 

//return json
$result = array('result' => 1);

    header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
    header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
    header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
    header("Pragma: no-cache"); // HTTP/1.0
    header("Content-Type: application/json");

echo json_encode($result);
exit();
?>