<?php
/**
 * ajax -> ads -> load_plans
 * Plugin for Sngine v2+
 * @author Pepe Galvan  - LdrMx
 */

// fetch bootstrap
require('../../../../bootstrap.php');

// check AJAX Request 
is_ajax();

// check user logged in
if(!$user->_logged_in) { modal(LOGIN); }

// check user activated
if($system['email_send_activation'] && !$user->_data['user_activated']) {
	modal(MESSAGE, __("Not Activated"), __("Before you can interact with other users, you need to confirm your email address"));
}


$auto = ( isset($_POST['auto']) ? $_POST['auto'] : ( isset($_GET['auto']) ? $_GET['auto'] : false ) );
$val = ( isset($_POST['val']) ? $_POST['val'] : ( isset($_GET['val']) ? $_GET['val'] : array() ) );

//Ads::save_ad($auto, $val);
 if (count($val) != 0) {
            /* @var $type */
            extract($val);

            if (!$auto) {

                $response = array('response' => 0, 'message' => '');
 /* required */
  if($campaign_name == '') { modal(MESSAGE, __("Error"), __("Please add a name to this campaign")); }
  if($plan_id == '') { modal(MESSAGE, __("Error"), __("Please select a plan if ads to this campaign")); }
    
/*input values*/	            
				if ($type == 'website') {
  if(strlen($title)<2) { modal(MESSAGE, __("Error"), __("This title is very short")); }
  if(strlen($title)>25) { modal(MESSAGE, __("Error"), __("This title is very extensive")); }
  if(strlen($description)<5) { modal(MESSAGE, __("Error"), __("This description is very short")); }
  if(strlen($description)>99) { modal(MESSAGE, __("Error"), __("This description is very extensive")); }
  if($image == "") { modal(MESSAGE, __("Error"), __("Please add a image to this campaign")); }
  if($display_link == "") { modal(MESSAGE, __("Error"), __("Please add a link for show to this campaign")); }
                     }
             
			 /*add to db*/
                $ad = Ads::add($val);
             
			 /* error return */
                if (!$ad) {
				$response['message'] = __('Error'); 
				return json_encode($response);
				}
				
				$response = array('response' => 1, 'ad_id' =>  $ad['id'], 'slug' => $ad['slug'], 'message' => '');

            } else{ 
			 $ad = Ads::add($val);
			 $response = array('response' => 1, 'ad_id' =>  $ad['id'], 'slug' => $ad['slug'], 'message' => '');
			 }
        }
		
    header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
    header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
    header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
    header("Pragma: no-cache"); // HTTP/1.0
    header("Content-Type: application/json");

echo json_encode($response);
exit();
?>