<?php 
/** Class Plugins
 * @Plugins for Sngine v2+
 * @author LdrMx - Pp Galvan
 */ 

class LdrSoft{
   
     /* get owner
     * @return owner_id
     */ 
  public static function get_profile_owner($user_username){
  global $db;
  if($user_username){ return false; }
  
  // get profile info
 $get_profile = $db->query(sprintf("SELECT user_id FROM users WHERE user_name = %s LIMIT 1", secure($user_username)));
 
 if($get_profile->num_rows != 0){ 
 $get_plugin_user = $get_profile->fetch_array(MYSQLI_ASSOC); 
  $owner_id = $get_plugin_user['user_id']; 
 }  
 
 return  $owner_id;
 }
  
  
     /* url profile type page/user
	 /* core create for plugin pages
     * @return array
     */ 
 public	static function url_profile($user_id)
     { global $db;
     $resource = $db->query("SELECT user_id, user_group, user_name, user_fullname FROM users WHERE user_id='".$user_id."' LIMIT 1");
     $user = $resource->fetch_array(MYSQLI_ASSOC);
	 if($user['user_group'] == 5){ $new_url = $system['system_url'].'/pages/'.$user['user_name']; } else { $new_url = $system['system_url'].'/'.$user['user_name']; }		
	 return $new_url;
  }  
   
	/* get basic user info
     * @param array $users
     * @return array
     */
   public static function get_basic_info($user_id) {
        global $db, $system, $user;
		if(!$user_id){ return false; }
        $users = array();
        /* get user  */
            $get_user = $db->query(sprintf("SELECT user_id, user_group, page_id, page_admin, user_name, user_email, user_fullname , user_gender, user_picture , user_cover FROM users WHERE user_id = %s LIMIT 10", secure($user_id, 'int') )) or _error(SQL_ERROR_THROWEN);       
        if($get_user->num_rows > 0) {
            $users = $get_user->fetch_assoc();
			$users['photo'] =  $user->get_picture($users['user_picture'], $users['user_gender']);
        }
        return $users;
		}
		
 
 	/* get plugins active/disable/all
     * @param array $plugins
     * @return array
     */
  	public static function get_plugins_list($limit = "", $last_id = false, $first_id = false, $sort_by = " p_order ASC ", $where = " p_active='1' "){
 global $db;
      $sql = "";
	  
	  // BEGIN BUILDING AD QUERY 
	  $sql .= " SELECT * FROM plugins_ldrsoft ";
	  
	  // ADD WHERE CLAUSE, IF NECESSARY
	  if( !empty($where) ){ $sql .= " WHERE {$where} "; }
	  $sql .= ( $last_id ) ? " AND p_id < " . $last_id : '';
      $sql .= ( $first_id ) ? " AND p_id > " . $first_id : '';
	  if( !empty($limit) ){ $sql .= " ORDER BY {$sort_by} ";  }
	  if( !empty($limit) ){ $sql .= " LIMIT {$limit} "; }	
	  
	  // DETERMINE WHICH ADS SHOULD BE SHOWN
	  $plugins_query = $db->query($sql);
	  $Count = $plugins_query->num_rows;
      $plugins_array = array();
      if($Count>0){ 
	    while( $row = $plugins_query->fetch_array(MYSQLI_ASSOC) ){ 
         $plugins_array[] = $row;			
	    }
	  }
    
	/*retur array*/
	return array('count' => $Count, 'plugins' => $plugins_array);
 } 
 /*end list*/
  
}
?>